2001-11-13  Carlos Perelló Marín <carlos@gnome-db.org>

	* ABOUT-NLS: Generated file, removed.

2001-11-13  Carlos Perelló Marín <carlos@gnome-db.org>

	* Migrated to use intltool.
	* *.glade.h: Removed, we don't need it any more.
	* *.glade: Removed the generation of .glade.h files
	* gedit.desktop, gedit.keys: Migrated to intltool
	* TRANSLATABLE_FILES: Removed the *.desktop && *.keys, they are now
	inside the .po files.
	* NEWS: Added this change

2001-10-26  Jason Leach  <jasonleach@usa.net>

	* gedit.1: Fix markup bugs reported by Eric S. Raymond.

2001-10-10  Jason Leach  <jasonleach@usa.net>

	* configure.in: Bump cvs version to 0.9.8cvs.

2001-09-09  Chema Celorio  <chema@celorio.com>

	* configure.in: release 0.9.7

2001-09-08  Wang Jian  <lark@linux.net.cn>

	* configure.in(ALL_LINGUAS): Renamed zh_CN.GB2312 to zh_CN.

2001-08-31  Abel Cheung  <maddog@linux.org.hk>

	* configure.in (ALL_LINGUAS): zh_TW.Big5 -> zh_TW

2001-08-19  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "ta" to the languages list.

2001-08-14  Kjartan Maraas  <kmaraas@gnome.org>

	* help/C/gedit.sgml: Fix missing ; in entity.
	
2001-08-08  Abel Cheung  <maddog@linux.org.hk>

	* gedit.desktop: Added traditional Chinese(zh_TW) strings. (UTF-8!)
	
2001-07-14  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added "nn" to ALL_LINGUAS.
	
2001-06-27  Yukihiro Nakai  <nakai@gnome.gr.jp>

	* NEWS: Updated.

2001-05-02  Jason Leach  <jasonleach@usa.net>

	* gedit.spec.in: Tweak requirements here.

2001-04-09  Jason Leach  <jasonleach@usa.net>

	* configure.in: Updated requirements to match latest from GNOME
	1.4 release.
	
	* NEWS: Updated.

2001-03-31  Paolo Maggi  <maggi@athena.polito.it>
	
	* TODO: Updated.

2001-03-30  Yukihiro Nakai  <nakai@gnome.gr.jp>

	* help/ja/images/*.png: replace to show it properly.

2001-03-28  Jason Leach  <jasonleach@usa.net>

	* configure.in: Bump cvs version to 0.9.7cvs.

	* gedit.spec.in: Updated some things like the requirements and the
	source URL.

2001-03-19  Paolo Maggi  <maggi@athena.polito.it>

	* configure.in: fix typo in gnome.vfs checking.
	(AC_OUTPUT): include plugins/ASCII/Makefile and plugins/docinfo/Makefile

2001-03-18  Chema Celorio  <chema@celorio.com>

	* configure.in: typo fix.

	* NEWS: update for 0.9.6

2001-03-18  Chema Celorio  <chema@celorio.com>

	* README.cvs: add

	* AUTHORS: update

	* MAINTAINERS (Email): add paolo, remove bse & jleach

	* configure.in : fix the gnome-vfs checking. It didn't worked for gnome-vfs 1.0

2001-03-07  Paolo Maggi <maggi@athena.polito.it>

	*  configure.in: report the correct error when gnome-vfs >= 0.6.2 is
	not found

	* TODO: updated

2001-03-03  Jason Leach  <jasonleach@usa.net>

	* configure.in: Require gnome-vfs >= 0.6.2 and bump current gedit
	version to 0.9.6cvs.

2001-02-21  Paolo Maggi <maggi@athena.polito.it>

	* TODO: updated

2001-02-15  Chema Celorio  <chema@celorio.com>

	* configure.in: bump version to 0.9.5

2001-01-30 Paolo Maggi <maggi@athena.polito.it>

	* configure.in : check for gnome-vfs >= 0.5.0

2000-12-26  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in, po/az.po: Added Azeri language
	* gedit.desktop: converted to UTF-8

2000-11-30  Martin Norbäck  <d95mback@dtek.chalmers.se>

	* gedit.desktop: Added Swedish translation

2000-11-27  Chema Celorio  <chema@celorio.com>

	* configure.in (Configuration): add a "this is a unstable
	branch" warning.

2000-11-20  Chema Celorio  <chema@celorio.com>

	* configure.in (ALL_LINGUAS): check for gnome-print 0.25
	bump version to 0.94

2000-11-14  Stanislav Visnovsky  <visnovsky@nenya.ms.mff.cuni.cz>

	* gedit.desktop: Added Slovak translation.

2000-11-09  Akira TAGOH <tagoh@gnome.gr.jp>

	* configure.in: fixed conflict mark.

2000-11-05  Yukihiro Nakai  <nakai@gnome.gr.jp>

	* configure.in: (ALL_LINGUAS) Add sk(Slovak)

2000-10-16  Chema Celorio  <chema@celorio.com>

	* configure.in: 0.9.2

2000-10-15  Chema Celorio  <chema@celorio.com>

	* BUGS (KNOWN BUGS): update
	(KNOWN BUGS): ditto

	* configure.in: require gnome-print 0.24

2000-10-14  Chema Celorio  <chema@celorio.com>

	* configure.in: bump to 0.9.1a and TAG the CVS

2000-10-10  Kjartan Maraas  <kmaraas@gnome.org>

	* help/*/gedit.sgml: Fixed an ID to make it work
	with gnome_help_pbox_display().
	
2000-10-08  Chema Celorio  <chema@celorio.com>

	* remove the gmodules-plugins directory
	
	* remove the old icon from pixmaps
	
	* gedit.desktop: update, use the new icon

	* gedit.1: update

	* gedit.spec.in: Update & clean

2000-09-09  Yukihiro Nakai <nakai@gnome.gr.jp>

	* help/ja/figures, help/ja/images
	  png images are translated.

2000-09-06  Simos Xenitellis  <simos@hellug.gr>

	* gedit.desktop: Added Greek translation.

2000-08-31  Chema Celorio  <chema@celorio.com>

	* pixmaps : replace gedit-icon.xpm with gedit-icon.png
	that was smothered by : Willem Robert van Hage <wrvh@xs4all.nl>

2000-08-30  Chema Celorio  <chema@celorio.com>

	* configure.in: bump to 0.9.1 and require gnome-print 0.22

2000-08-27  Alastair McKinstry  <mckinstry@computer.org>

	* gedit.desktop: Added Irish translation.

2000-06-23  Roberto Majadas   <phoenix@nova.es>

	* configure.in : add in configure.in the line /plugins/spell/Makefile 

2000-06-09  Carlos Perelló Marín <carpema@hispalinux.es>

	* Added the gedit.spec's Spanish translation

2000-06-08  Fatih Demir	<kabalak@gmx.net>
	
	* gedit.desktop: Added the Turkish entries and
		reordered the entries.

2000-06-08  Jarkko Ranta  <jjranta@cc.joensuu.fi>

	* Added "fi" to ALL_LINGUAS and gedit.desktop

2000-06-04  Steve Hall <steve_hall@mindspring.com>

	* New logo and icon.

2000-06-04  Chema Celorio  <chema@celorio.com>

	* configure.in: bump version to 0.7.9

2000-06-01  Jason Leach  <leach@wam.umd.edu>

	* Makefile.am (EXTRA_DIST): cleaned this up to get 'make
	distcheck' to pass

2000-05-22  Chema Celorio  <chema@celorio.com>

	* pixmaps/gedit-icon.xpm: Make the background
	of the icon, transparent

	* pixmaps/Makefile.am: Install the new icon

	* gedit.desktop: Added the new icon

2000-05-17  Jason Leach  <leach@wam.umd.edu>

	* TODO: updated some items by marking them with '~' to indicate
	partially/sorta done.

2000-05-15  Kjartan Maraas  <kmaraas@gnu.org>

	* TRANSLATABLE_FILES: Added list of files containing
	translatable strings / text.
	
2000-05-05  Jason Leach  <leach@wam.umd.edu>

	* configure.in: bumped GnomePrint requirement to 0.19

	* NEWS: included recent translation updates

	* configure.in: did some restructuring of the requirement
	checkings and cleaning up things

2000-04-19  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in (ALL_LINGUAS): Added Catalan language

2000-04-13  Chema Celorio  <chema@celorio.com>

	* plugins/sample/sample.c (insert_hello): if !doc
	return, dont crash mr gedit.
	* plugins/time/time.c (init_plugin): same
	* plugins/time/email.c (init_plugin): same

2000-04-08  Chema Celorio  <chema@celorio.com>

	* BUGS: Added some and marked as fixed some other.

2000-04-07  Jonathan Blandford  <jrb@redhat.com>

	* configure.in: make test for gnome-libs less draconian.

2000-04-06  Jason Leach  <leach@wam.umd.edu>

	* configure.in: Went ahead and bumped gnome-libs requirement to
	1.0.58

2000-04-04  Jason Leach  <leach@wam.umd.edu>

	* configure.in: added some version checking against our various
	requirements, mostly stolen from gnumeric (shh! don't tell!)

	* gedit.spec.in (Requires): added requirements of gtk+ 1.2.7,
	gnome-libs 1.0.57, and gnome-print 0.16

2000-04-02  Jason Leach  <leach@wam.umd.edu>

	* configure.in: bumped version from 0.9.0 -> 0.7.0, our next
	release isn't phenomenally better than 0.6.1, and we wan't to have
	some more steps before 1.0 status.

2000-04-02  Chema Celorio  <chema@celorio.com>

	* src/gE_mdi.c (gE_document_new_with_file): if can't open the file
	display an error message vs. crashing.

	* src/commands.c (file_open_ok_sel): if can't open the file
	display an error message vs. crashing.

	* src/gE_files.c (gE_file_open): if can't open the file display an
	error message vs. crashing.

2000-04-01  Chema Celorio  <chema@celorio.com>

	* src/gE_print.c: reworte printing code it now uses gnome-print
	functions.
	
2000-04-01  Jason Leach  <leach@wam.umd.edu>

	* src/toolbar.c: commented out 4 unnecessary #include's

	* src/menus.c: commented out 4 unnecessary #include's

	* src/menus.c: removed prototypes for non-existant functions
	add_callback_data() and remove_callback_data()

	* src/gE_about.c: commented out 3 unnecessary #include's

	* src/gE_prefs.c: commented out 5 unnecessary #include's

	* src/gE_prefs.h: removed prototype for the non-existant function
	gE_rc_parse();

2000-03-31  Jason Leach  <leach@wam.umd.edu>

	* src/*.h: The intended use of `extern "C"' is for header (.h)
	files which are intended for use by both C and C++ programs. It
	indicates to a C++ compiler that the functions are C functions.  I
	don't think this is necessary for any of our header files... We
	don't, and I don't think any other programs are invoking C++
	compilers on our C header files.

	* src/gedit.c (main): fixed a compiler warning.

	* src/gE_about.c (gE_about_box): only show one About dialog at a
	time.

	* src/Makefile.am: take out some of the extra whitespace from the
	INCLUDES, so the 'make' process isn't spaced apart all
	goofy-looking.

2000-03-29  Alex Roberts  <bse@error.fsnet.co.uk>

	* src/gE_files.c: (gE_file_save) Removed a floating gtk_text_thaw,
	  which fixes the bug where the cursor would vanish after saving.
	  Also use a straight get_chars when saving. 
	  (gE_file_open) set the titlebar after opening the file.
	
	* src/gE_mdi.c: (gE_docuement_new_with_file) Use gE_file_open to open
	  the file after creating the gE_document. this brings back the recent
	  documents functionality. whee. =]
	
	* src/commands.c: (file_open_ok_sel) Moved the set_read_only call to
	  after all the file opening methods. we were only checking and setting
	  this if the file was going into a new gE_docuemnt.


2000-03-20  Pablo Saratxaga <pablo@mandrakesoft.com>
	
	* makeconfig.pl: added Lithuanian language (laso Greek, that was
	in po/ directory but missing from ALL_LINGUAS)

2000-03-11  Alex Roberts  <bse@gedit.pn.org>

	* plugins/time/*: Reimplemented plugin, inserts the current date/time

	* plugins/email/*: Another reimplementation. This one emails the
	  current document.
	
	* configure.in, plugins/Makefile.am: Added time and email plugins.

2000-03-08  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_plugin.[ch]: Re-wrote. again. Now based upon the Gnumeric
	  model. with additions/improvements for gEdit.
	
	* src/gedit.c: (main) Added call to gE_plugins_init.

	* src/gE_window.c: (gE_window_new) Added call to gE_plugins_window_add.
	  to add all the plugins to the Plugin menu.
	
	* plugins/sample/*: New sample plugin. Prints Hello World into the
	  current document.
	
	* autogen.sh: Removed call to the makeconfig.pl scripts. unneeded.

	* configure.in, Makefile.am: Added the plugins and plugins/sample

2000-02-22  Alex Roberts  <bse@gedit.pn.org>

	* makeconfig.pl: Bumped version to 0.9.0
	
2000-02-21  Alex Roberts  <bse@gedit.pn.org>
	
	* Some major hacking. =]
	
	* src/gE_plugin.[ch]: Beginnings of the brand new plugins system.
	  GModule based.
	
	* src/gedit.c:
	  src/commands.c:
	  src/gE_window.c:
	  src/gE_prefs_box.c: Removed traces of the old plugins system
	
	* src/gE_prefs_box.c: Added color picker code to set the text colours.
	
	* src/gE_prefs.[ch]: Added arrays to store the foreground and
	  background text colours. loads witha  default of black on white.
	  Also added some defaults to some items on loading preferences.
	
	* gE_view.c: Implemented the ability to set the background and
	  foreground colours of the text. Woohoo! 
	
	* src/gE_undo.c: Redo was inserting text with a Black foreground. 

2000-02-19  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_view.[ch]: Use a paned window to hold the splitscreens.
	  finally, a resizable splitscreen! heheh =}
	
	* src/menus.c: Removed the splitscreen menu item.
	
	* more to come. =o

2000-01-31  Yuan-Chung Cheng <platin@linux.org.tw>

        * makeconfig.pl: Added "zh_CN.GB2312" to ALL_LINGUAS.

Fri Nov 26 14:33:16 GMT 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/commands.c: (file_open_ok_sel): Check whether the opened file
	  is Read Only

Fri Nov 26 14:12:34 GMT 1999  Alex Roberts  <bse@gedit.pn.org>

	* makeconfig.pl:
	  README: Bumped version number to 0.6.1. New release is iminent.
	
	* NEWS: Added 0.6.1 announcement.

Thu Nov 25 17:34:15 GMT 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/ommands.c: (tab_pos) Check whether the mdi mode is NOTEBOOK,
	  if it is, then we can change the tab position.
	
	* src/gE_prefs.c: (get_settings) Removed the check for the MDI Mode
	  flag, becuase if it doenst exist it's 0, and Notebook mode
	  is 0.. instead of setting it to Notebook mode (which for 
	  some reason set it to mode 42, which is the default mdoe, which
	  is Modal (unless you changed the defualt in gnomecc)). Now
	  we have notebook mode on startup =]

Tue Nov 23 15:53:41 GMT 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_view.c: (gE_view_init) Fxied autoindent bug. the
	  split-screen was doing signal_connect, where it should
	  have been signal_connect_after. grr..
	
	* gedit.spec.in: Removed devel section.. and fixed the date
	  on the last Log entry.
	
	* makeconfig.pl: 0.6.0 -> 0.6.1pre

Wed Nov 17 16:36:35 GMT 1999  Alex Roberts  <bse@gedit.pn.org>

	* gedit.spec.in: Added FAQ and the new TODO file to the docs
	  list.. no wonder ppl keep emailing me with questions answered
	  in the FAQ. =]

Wed Nov 17 16:17:04 GMT 1999  Alex Roberts  <bse@gedit.pn.org>

	* makeconfig.pl: 0.6.0pre -> 0.6.0 .... we're almost there!
	
	* README: Finally, we're at 0.6.0 =]
	
	* NEWS: Added 0.6.0 ANNOUNCE message

Tue Nov 16 16:32:46 GMT 1999  Alex Roberts  <bse@gedit.pn.org>

	* TODO-road_to_1.0.0: Marked off "Remove legacy code" as done.
	  I thnk we're almost there for 0.6.0
	
	* FAQ: Removed cruft from this file, and semi-answered the first
	  question
	
	* makeconfig.pl: added gl to ALL_LINGUAS

Tue Nov 16 16:07:10 GMT 1999  Alex Roberts  <bse@gedit.pn.org>

	* Makefile.am: Added TODO-road_to_1.0.0 to the extra dist.
	
	* commands.c: Removed all scrollbar setting code.. automatic 
	  scrollbar is always used now
	
	* menus.c: Removed scrollbar submenu form settings menu
	  (gE_set_menu_toggle_states), ({add,remove}_callback_data)
	   Removed now unused, legacy, functions.
	  (gE_menus_init) Tidied it up a bit
	
	* gE_prefs.c: Remvoed scrollbar settings (they didnt save anyway,
	  probably due to the fact the setting isnt an integer, its an 
	  enum).

Tue Nov 16 15:12:58 GMT 1999  Alex Roberts  <bse@gedit.pn.org>

	* ChangeLog: Fixed some of the earlier entries, the names seem to
	  have vanished. On another note of interest, i just did a grep
	  of this file and there are currently 370 entries.. eeek!

Tue Nov 16 14:54:40 GMT 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_prefs.h: Added a word_wrap flag to the preferences struct.
	
	* src/gE_prefs.c: (gE_save_settings) (gE_get_settings) Save and load
	  word_wrap setting.
	
	* src/gE_prefs_box.c: (gE_apply) Store the word_wrap setting
	  (gE_window_refresh) Refresh the word_wrap setting by calling te
	  gE_view set_word_wrap function.
	  (get_prefs) Get the word_wrap toggle state
	
	* src/gE_view.c: (gE_view_set_word_wrap) Set both the main text pane
	  and hte split screen
	  (gE_view_init) Make the signal connection for the split screen
	  auto indent a regular signal conenction.
	
	* KNOWNBUGS: Added note about auto indent and multiple views.

Sat Nov 13 14:17:38 GMT 1999  Alex Roberts  <bse@gedit.pn.org>

	* makeconfig.pl: Upped version number to 0.6.0pre

Sat Nov 13 13:21:04 GMT 1999  Alex Roberts  <bse@gedit.pn.org>

	* TODO-road_to_1.0.0: Yep, yet another TODO list file. This one is
	  a list of what really needs to be done for 1.0.0 (whihc is kinda
	  obvious due to the name of the file ;)

Fri Nov 12 17:45:23 GMT 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_view.c: (doc_insert_text_cb)
	  (doc_delete_text_cb) (auto_indent_cb) Removed buffer updating code
	
	* src/gE_files.c: (gE_file_save)
	  src/gE_mdi.c: (gE_add_view) Sync the buffer

Fri Nov 12 17:28:40 GMT 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_files.c: (gE_file_open)
	  src/gE_mdi.c: (gE_document_new_with_file) bug fix from Paul
	     Schifferer, make the temporary buffer one byte bigger than
	  the buffer size, to make room for a string terminator.
	
	* src/gE_view.[ch]: (gE_view_buffer_sync) New function to sync the
	  document buffer.			  

1999-11-01  Ruben Lopez <ryu@mundivia.es>

	* Added Galician translation

1999-10-29  Kjartan Maraas  <kmaraas@online.no>

	* configure.in: Added "da", "pl" and "uk" to ALL_LINGUAS.
	
Wed Oct 20 17:34:30 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/search.c: (count_lines_cb) Display the complete filename
	  (including path)	 along with the line nummbers
	
	* TODO: Marked the "Make full path available" item as done.		  .	

Wed Oct 20 15:25:44 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/toolbar.h: Added Line button for current and total lines info.
	
	* FAQ: Minor update (Yes! i am related to Janet Roberts.. sheesh.. 
	  she's my mother! (for all of those who have met her and didnt believe).
	
	* INSTALL: Replaced with the generic GNU INSTALL file.
	
	* MAINTAINERS: Finally updated the email address
	
	* AUTHORS: Minor update.. i'm the main Author now, since Evan has left.
	
	* README: Minor updates.. upped version number to 0.5.5
	
	* makeconfig.pl: Upped version here too.
	
	* NEWS: Added Announcement message for 0.5.5
	
	* Here we go folks.. finally.. the 0.5.5 release =P 			

Sat Oct  9 15:48:36 CEST 1999 Pablo Saratxaga <pablo@mandrakesoft.com>

        * src/menus.c: changed "_Allways" to "A_lways" as there 
	is also an _Automatic entry in that same menu

Wed Oct  6 01:58:00 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_print.c: Removed dialog.h include. 

Mon Oct  4 16:29:40 BST 1999  Alex Roberts  <bse@gedit.pn.org>
	
	* README: Updated for 0.5.5.	

Mon Oct  4 15:00:07 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_about.c (gE_about_box): Tided up the authors section, and added
	  the gEdit logo. 
	
	* src/Makefile.am: Added the gEdit logo to be installed.		  	

Mon Oct  4 14:45:56 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_plugin_api.c (gE_plugin_text_insert): Get an accurate position,
	  for some reason get_point doesnt seem to return the proper postiion.
	  The insert time plugin now functions properly.. as does every other
	  plugin that inserts text. =)	  	  		

Sun Oct  3 21:15:27 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* commands.c (file_save_cb),
	(file_save_all_cb): Let's duplicate the
	  filename, string, instead of just pointing to it.. eh? g_free was
	  	scking up the filename after saving.	

Fri Sep 24 20:05:02 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* commands.c: (recent_update) Removed g_free that was mucking everything up.

Fri Sep 24 19:47:50 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* KNOWNBUGS: Removed Fixed items

Fri Sep 17 16:56:02 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* commands.[ch]: (popup_close_verify) (close_file_save_yes_sel)
	  (close_file_save_no_sel) (close_file_save_cancel_sel) Removed fucntions,
	  now depreciated. (Replaced with remove_doc_cb in gE_mdi.c)
	
	* commands.c: Freed all gchar's which were just left before. Also, removed
	  all gE_data's from the cut/copy/paste callbacks.
	
	* menus.c: Removed all unused gpointers from menu items.		  			  	  	  

Fri Sep 17 16:46:48 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_view.c:
	  src/gE_undo.c: Put all the debug g_messages into #ifdef's..
	
	* src/gE_view.c: (doc_insert_text_cb) The position marker should be a
	  pointer (as its going into a temp gpointer position).
	
	* Update: No, bug#2173 is still there.. strange..		  			  	

Fri Sep 17 16:31:46 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_window.c: (gE_window_new) Moved the gE_window_set_icon call
	  to the top of the function. this seems to fix the problem with 
	  the toolbar not being drawn (Bug#2173)
	
	* src/gE_window.c: (create_find_in_files_result_window) Use a GnomeStock
	  pixmap on the Close button. I've removed the old gEdit pixmaps, that it
	  used before, so it wasnt working..

Mon Sep 13 19:51:30 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_mdi.c: (gE_document_destroy) Added code to free the undo/redo
	  GLists and to free up the buffer string.
	  
	* I've also patched in code from Kosta Arvanitis, for his excellent 
	  Find In Files feature. See his changelog entries below..

Sun Sep 12 21:17:22 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/toolbar.h: Added Undo and Redo buttons.

Sun Sep 12 19:53:44 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_view.c: (gE_event_key_press) Added shortcuts for Undo and Redo

Sun Sep 12 19:38:45 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* TODO: Done GnomeMDI and Undo

Sun Sep 12 19:30:12 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_undo.c: (gE_undo_redo) Simple case of copying the undo code, and
	  swapping some parts. so that the redo item goes onto the undo stack. the
	  action check is also reversed, so that text deleted is deleted (instead
	  of inserted).. oh the confusion. gEdit now has fully working undo/redo =)

Sun Sep 12 19:22:19 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_undo.c: (gE_undo_add) Nullify the redo stack after freeing it. no
	  more lockup's! yay!

Sun Sep 12 19:03:50 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_undo.c: (gE_undo_do) New function. Gets the last done item, copies
	  the data and puts the item onto the Redo stack. Then it checks whether
	  text had been inserted or deleted. We insert or delete the text as 
	  required.
	  (views_insert) New function, to insert deleted text from an undo (will also
	  work with the redo when its done).
	  (views_delete) New function, to delete inserted text done by an undo (again,
	  will work with redo too).
	  Small glitch, it seems, after an undo, when you type more than 2 characters
	  gEdit will lock up!
	
	* src/gE_undo.h: Removed pointer to the gpointer on the undo_do and redo
	  functions.. (doh!)
	
	* gE_mdi.c: Added Undo and Redo menu items to the Edit menu.

Sun Sep 12 17:28:35 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_undo.c: (gE_undo_add) New fucntion. Add's undo item to the stack.
	
	* src/gE_view.c: (doc_insert_text_cb) (doc_delete_text_cb) Added function
	  call to insert the inserted or deleted text into the undo stack.
	
	* src/Makefile.am: Added gE_undo.[ch] to the source list.
	
Sun Sep 12 16:18:18 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_undo.[ch]: Added stubs for the new undo/redo system.
	
	* src/main.h: (gE_document) Added GLists for the undo and redo stacks.

Sat Sep 11 14:12:16 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_view.c: (auto_indent_cb) Use a gtk_editable_insert_text instead of
	  using gtk_text_insert. Now the buffer is updated properly..
	
	* makeconfig.pl: Commented out all Gmodule, ORBit, Gnorba and Zvt stuff. Which
	  was for the GModule plugins, which no longer work.. 
	  Commented out all the gmodule-plugins Makefiles
	
	* Makefile.am: Removed gmodule-plugins subdir.
	  Removed the xpm's from the dist-hook.
	  
Sat Sep 11 13:50:59 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_plugin_api.c: (gE_plugin_text_insert) For some reason the position
	  arg isnt correct, so we have to change it to the correct one.

Sat Sep 11 13:42:42 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_view.c: (auto_indent_cb) insert the auto indent
	  whitespace into the mini-buffer too..
	 (gE_view_init) Send the gE_view struct to the auto_indent_cb
	signal connection.

Sat Sep 11 13:23:40 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* MAINTAINERS: Removed Evan from the list, as he is no-longer with the
	  project.
	
	* src/gE_view.c: (gE_event_key_press) Removed tjhe handlers for
	  cut/copy/paste.  They're built into the widget aren't they...
	
	* src/gE_prefs.c: (gE_save_settings) Save the value of
	  mdi->tab_pos, not settings->tab_pos, as the settings one is no
	  longer loaded on startup, so would reset the position back to 0
	  each time we quit.

Fri Sep  12 1999 	Kosta Arvanitis <kosta@uvic.ca>

	* src/gE_window.c (create_find_in_files_result_window) Changed the
	look of the window. Added a diffrent button a slight change to the
	layout. I think this looks better than what I had before.
	
	* src/gE_window.c 

Fri Sep  11 1999 	Kosta Arvanitis <kosta@uvic.ca>

	* src/command.c Fixed a small bug in file_save_as_cb. 
	
	* src/gE_window.c (create_find_in_files_result_window) Connected
	signal "select row" to search_result_clist.
	
	* src/search.c: (gE_clist_data) New Struct.  Struct to hold data
	about each row in the clist. Used by clist callback.
	
	* src/search.c: (search_results_clist_insert) New Function.  Add
	items too the search_result_clist. Each row stores a gE_clist_data
	struct containing its correspondin information.
	
	* src/search/c: (void search_result_clist_cb) New Function.  New
	callback for clist . Called when a user click on a row in the
	clist. Activates the file which was clicked and highlights line of
	text where contents are located.
	
	* src/search.c (destroy_clist_data): New Function.  Callback for
	when clist items are destoryed. Clears up memory.

Fri Sep  10 1999 	Kosta Arvanitis <kosta@uvic.ca>

	* src/command.c: (file_save_cb and file_save_all_cb) Re-added code
	to get filename of doc being saved and passed it to dialog box
	callbacks. Code was displaying NULL instead of filename.
	
	* below is the comments for the added functionality of Find In
	Files ...
	
	* src/gE_mdi.c: Added the Find In Files option to the edit
	menu. Calls the find_in_files_cb located in search.c
	
	* src/gE_window.h: Added new extern GtkWidgets search_reult_window
	and search_result_clist. The need to also be available to
	search.c. The are defined in src/gE_window.c
	
	* src/gE_window.c: Added function
	(create_find_in_files_result_window) to create the new area for
	the search results. It contains a scrolled window with a clist in
	it and a button to remove the window from the app. I want to
	change the button to look better. Any graphics people??
	
	* src/gE_window.c: In function (gE_window_new) create the new
	window using the create_find_in_files_result_window and pack it
	into the main app. Used gtk_box_pack instead of app_add_docked for
	cosmetic reasons. If anyone want it to be dockable you can try to
	change it.

	* src/search.[ch] grouped all find in files functions together.
	
	* src/search.[ch] (find_in_files_cb) New Function. Called by the
	edit menu in gE_mdi.c. Creates the find in files dialog box.
	
	* src/search.[ch] (create_find_in_files_dialog) New
	Functions. Creates the dialog box for searching all files.
	
	* src/search.[ch] (find_in_files_dialog_button_cb) New
	Function. Call back for the above dialog box. If close was clicked
	the search dialog is destroyed. If search was clicked it
	initialize the search result window and perform the search.
	
	* src/search.[ch]:  (show_search_result_window) New Function.
	
	* src/search.[ch]:  (remove_search_result_window) New Function.
	
	* src/search.[ch]: (search_for_text_in_files) New Function.  Call
	search function on all files in the mdi child list. Appending to
	the end of the search_result_clist number of matched found.
	
	* src/search.[ch]: (find_in_file_search) New Function.  Search a
	given file for a given text string. Using already defined search
	string everytime a match is found append to the
	search_result_clist the filename, line number, and the text of the
	line its on. Returns total number of matches found in file.
	
	* src/search.[ch]:	(get_line_as_text) New Function.
	Given a gE_view instance and the position of a specific index in it text
	memeber; return the line (as text) of that index.
	
	* I think thats everything for the find in files. This is the first cut at
	this. I will add options in the dialog box. A better looking button and 
	hopefully callbacks form the clist that will take you staight to the text.
	So far so good but dont hesistate to email me with suggestions.
	
Fri Sep 10 21:42:23 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_prefs.c: (gE_save_settings) Actually Save the tab position!
	  (gE_get_settings) Load the tab position value straight into the MDI variable.
	  
	* src/commands.c: (file_quit_cb) Save the settings when we quit.

Fri Sep 10 21:30:03 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/commands.c: (tab_pos) New function. Changes the tab position over all 
	  the open wnidows. Dont have to create a new window to see the changes take
	  effect.

Fri Sep 10 18:47:17 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_view.c: (gE_event_key_press) Added keypress event shortcuts. ^S, ^P
	  and ^W for save, print and close are now implemented (Although ^W functions as
	  a delete-word function with the GtkText widget.. minor problem)
	
	* src/gE_print.c: (get_filename) Removed assertion check for a data->window.

Fri Sep 10 17:43:31 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_view.c: (line_pos_cb) Use the statusbar to display the column number.
	  Also fixed the method of finding the column number.. its a divide by 6, not
	  7! aargh! Now the indicator is finally accurate. =)
	  (gE_event_key_press) Update the column indicator each time a key is pressed.
	  (gE_view_init) Attached key_press_event signals to the text boxes.
	  (doc_insert_text_cb) (doc_delete_text_cb) Removed calls to line_pos_cb.

Fri Sep 10 17:16:31 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_window.c: (gE_window_new) Re-Added the g_list_foreach that adds the
	  plugins to the window. Now when we create a new window, the plugins dont
	  mysteriously vanish from their menu..

Fri Sep 10 16:42:19 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_window.c: (gE_window_new) Removed fucntion call to gE_get_settings.
	  This is why the mdi modes were getting all borked before. as before we werent
	  setting the correct values and it was getting all confuzzled. I'm not sure
	  WHY we were calling gE_get_settings each time a new window is requested, but
	  anyway...

Fri Sep 10 16:14:25 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_prefs.c: (gE_save_settings) (gE_get_settings) Ok, why bother with
	  the settings->mdi_mode variable. Just save and load into the global mdiMode.
	
	* src/gE_prefs_box.c: (gE_apply) Removed the settings->mdi_mode cofniguring
	  operation.
	
	* hrmm.. it appears setting the mode to toplevel works fine now.. how strange.

Fri Sep 10 16:05:04 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_prefs_box.c: (gE_apply) changing the global mdi setting, needs to 
	  refer to the proper GnomeMDI values, not the radiobutton group values.
	  We still go crazy when swtiching to toplevel view, btu at least we store
	  the correct mdi type value now. Also, moved the code to change the mdi
	  mode into this function.

Fri Sep 10 14:56:44 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_view.c: (doc_insert_text_cb) Moved buffer insertion code to before
	  the point at which the other views and the split screen are updated.
	  Also check the position, and if it's 0, we do a g_string_prepend.
	  This seems to have fixed the buffer corruption that occured before.
	
	* src/commands.c: (file_revert_cb) Check the doc->changed flag, not the
	  gE_view changed flag. 
	
	* gE_files.c: (gE_file_open) Reset changed flags for all views, and for
	  the document. This fixes problems when you revert changes to a saved
	  file.

Thu Sep  9 21:36:30 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_view.[ch]: (gE_view_refresh) New function. To refresh the text
	  view. 
	
	* src/gE_files.c: (gE_file_open) Re-written to load files using the
	  document buffer. We use gE_view_refresh here for document's having a 
	  file loaded into them.

Thu Sep  9 17:16:25 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_view.c: (doc_delete_text_cb) Wahooo!! Buffer text deletion is
	  now fully working. Firstly we check whether the position - the length
	  to be deleted is less than or equal to the length of the buffer (which
	  is what the g_string_erase assertion checks for). if it is, we run
	  g_string_erase, if not, then it is at the very end of the string so
	  we just truncate the text. And i think that is the mini-buffer now fully
	  operational.
	
	* src/gE_mdi.c: (gE_document_new_with_file) yet again, g_new0 solves the
	  string problem. For some reason, when opening multiple files, the buffer
	  was appearing with trailing characters. 

Thu Sep  9 16:40:54 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_files.c: (gE_file_save) Use the mini-buffer with the fputs 
	  to save the file. SHould make saving faster as we dont have to 
	  get the contents each time we want to save (the contents is already
	  available to us, via the buffer).

Thu Sep  9 16:21:10 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_view.c: (doc_insert_text_cb) Create the buffer using g_new0..
	  i'm not sure why this works.. but it does.. and its fixed the problem
	  of trailing characters that sometimes appear. But that has fixed the
	  multiple views of a document, once and for all! wheeee! ANd this 
	  also seems to fix the problem of the mini-buffer going out of sync,
	  due to the trailing characters. Now i just have to fix up the 
	  buffer to do more than aid GnomeMDI..

Tue Sep  7 18:15:35 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/*.c: Tidied up the source.

Tue Sep  7 17:21:30 BST 1999  Alex Roberts  <bse@gedit.pn.org>
	
	* src/gE_view.c: (gE_view_new) Add the gE_view to the GList here, instead
	  of at the add_view level. 
	  (gE_view_init) Replaced the gE_prefs_set_int with the gnome_config 
	  function (as well as the required prefix functions).
	
	* src/gE_mdi.c: (gE_add_view) Removed the GList related code.
	
	* src/gE_prefs_box.c: (gE_refresh_window) Fixed the Font Updating code..
	  We now go through the Documents and then go deeper into the 
	  separate views (via the GList) and update the Font.
	  
	* src/gE_prefs.c: (gE_rc_parse) Removed, now unused, function.
	
	* src/gE_prefs.h: Removed gE_prefslib.h header.
	
	* src/Makefile.am: Removed gE_prefslib.[ch]. We don't need these files 
	  any more.
	
	* The binary is now over 20k smaller than the previous release. =)

Tue Sep  7 15:47:35 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* gE_prefs_box.c: Moved the MDI settings into the Window Settings box
	  and put the Font settings into the Document Settings box. 
	  (gE_apply) Change the current view "splitscreen" flag when applying.
	  (gE_window_refresh) Run the gE_view_set_splitscreen function with
	  the correct arguments.
	
	* menus.c: (gedit_settings_menu) Removed menu entries for settings
	  that are in the Preferences box, and shouldn't really be on the
	  menu. ie: Autoindent, Statusbar, and Word/Linewrap. Left the
	  Readonly and Splitscreen options.
	
	* gE_window.c: (gE_window_new) Put the hash table code for the window
	  back as-was in 0.5.4. Plugins now work again.

Tue Sep  7 15:19:16 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* gE_view.c: (view_list_insert) Check to make sure we dont insert the
	  text into the current view, only the other views.
	
	* gE_mdi.c: (gE_add_view) If the view's GList is NULL, we should add
	  the current view, before adding the new view to the window (and the
	  GList).

	* Many thanks to Kosta Arvanitis for supplying some new code, which I
	  have now incorporated. He didn't supply a ChangeLog so here goes..
	
	* src/commands.[ch]: New Save All and Close All features, for saving
	  all open documents, and closing them all. Also modified the Save As
	  dialog to include the current Filename in the title.
	
	* src/menu.c: Entries for the above callbacks.
	
	* gE_mdi.c: (gE_document_new_with_title) New function that creates new
	  documents with sequential titles (Untitled 1, Untitled 2, etc).
	
	* gedit.c: (main) Fixed parsing of command line input files. We now ask
	  the user if they want to create a new file if one requested doesnt
	  exist.

1999-09-03  Zbigniew Chyla  <chyla@alice.ci.pwr.wroc.pl>

	* makeconfig.pl: Added pl to ALL_LINGUAS.

Wed Sep  1 23:14:09 BST 1999 Alex Roberts  <bse@gedit.pn.org>

	* gE_window.c: (gE_window_set_icon) New function, to set the icon
	  of gEdit when minimised (for FVWM, E, etc..). Thanks to [JcB] for
	  the code.
	
	* commands.c: Removed gnome_app_remove_menu_range, as it is now defined
	  in gnome-libs.

1999-08-31  Panblo Saratxaga <pablo@mandrakesoft.com>

	* makeconfig.pl, po/da.po: added danish language file of 
	Birger Langkjer <birger.langkjer@image.dk>

1999-08-22  Matthias Warkus  <mawa@iname.com>

	* gedit.desktop: Use gnome-gedit.png like we should.

Sat Aug 21 10:26:34 1999  ape@gandalf.spacetec.no  (Asbjorn Pettersen)

	* src/gE_print.c: 
	* src/gE_prefslib.c: 
	* src/commands.c: 
	add #include <sys/types.h> before <sys/stat>. For OS/2 version.

Wed Aug 18 17:12:50 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* gedit.c: (main) Uncommented the signal connection for child_changed,
	  so the title bar can keep updated with the current document.
	
	* commands.c: (file_open_ok_sel) Check doc->changed instead of the
	  gE_view->changed.. doh! now we dont bork up on changed untitled
	  doc's.. =)

Tue Aug 17 23:56:17 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* gE_view.c: (gE_view_init) Moved the Popup menu intiialisaer to after
	  the split-screen initialisation.. so now we have a popup menu for both
	  sides of the split.. (Fixes bug #1483)

Tue Aug 17 23:38:53 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* This code was done some time last week.. somehow i managed to mess up
	  most of the source code.. which i have now fixed and can continue 
	  coding =)
	
	* gE_mdi.c: (add_view) Added some temporary checking of views.. 
	  something is borked somewhere.. a lot of this will be removed
	
	* gE_view.c: (view_list_insert) new function.. we use this with a
	  g_list_foreach in (doc_insert_text). its a better method for 
	  getting the text to insert.. although its still not working properly..
	  bleh.. 
	
	* gE_view.h: Added some temop flags to the gE_view struct.. for use with
	  the new list_insert function above.

Tue Aug 10 18:58:57 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* main.h: (gE_documnet) Added views GList.
	
	* gE_mdi.c: (gE_add_view) Append the new view to the GList
	  (gE_remove_view) Remove the view from the Glist
	  
	* gE_view.h: (gE_view) Added Signal id int's.
	  
	* gE_view.c: (gE_view_init) attached the id's to the insert/delete
	  text signals.
	  (doc_insert_text_cb) Ok, here we have a for loop for the GList,
	  the insert/delete signals are disconnected and the text to be
	  inserted is inserted into each view. the signals are then 
	  reconnected, and it starts again.
	  There is a minor problem with this.. i think the GString buffer 
	  isnt needed now (as we can insert the text into each new view,
	  instaed of modifiying the GString.. hm). but i dont know.. its 
	  annoying! but multiple views kinda works now =)

Tue Aug 10 17:12:39 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* Ok, weirdness.. the buffer is working fine now.. maybe there;s
	  a glitch somewhere..
	  
	* ChangeLog: The 1998-05-03 entry had some code from gE_mdi.c in it!
	  Duely removed it =)

Tue Aug 10 16:50:21 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* gE_view.c: (view_changed_cb): Check to make sure the gE_document->changed
	  flag is set, if so return, if not set it and set all the changed 
	  info as per usual.
	
	* gE_mdi.c: (gE_document_init) Set the changed flag to FALSE.
	  (remove_doc_cb) Check the gE_document->changed flag, instead of the
	  gE_view->changed flag.
	
	* commands.c: (file_save_cb) Check the gE_document->changed flag, instead
	  of the gE_view->changed one.
	
	* gE_files.c: (gE_file_save) reset the gE_document->changed flag.
	
	* Hm, now it seems the GString code for text insertion is broekd! arg..
	  at least all the views dont have their own changed flags now =)

Tue Aug 10 16:15:23 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* gE_view.c: (doc_delete_text_cb) Fixed text deletion for the GString
	  buffer. The length of the deletion is the end positon minus the start
	  position.. instead of just the end postion like i had before. Now we
	  have a fully working buffer. Next, some way to update all the views
	  simultaeneously, and to make sure the modified document flag is only
	  set in gE_document not in each individual view...

Mon Aug  9 18:09:49 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* gE_mdi.c: (gE_document_new) Create the GString buffer here.. using a
	  g_string_sized_new! This initialises the GString, without needing to
	  initialise it with contents!
	
	* gE_view.c: (doc_insert_text_cb) Check wheter the length of the GString
	  is higher than 0 and whether the insert position is lower than the 
	  length.. if so, append the text, otherwise we just insert! Buffer insertion
	  is now fully working!!! =) hrm, there is still a minor problem with
	  GnomeMDI Add View.. so it needs work, but otherwise it works fine!

Mon Aug  9 17:39:46 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* gE_view.c: (doc_insert_text_cb) WOOHOO!!! its working!! yay! I looked
	  at the gtk_editable_insert_text code and decided to try if the way
	  it uses works.. and it does! Now text goes into the GString properly..
	  it doesnt like newline characters much, but i'm sure that can be fixed.
	  I'm not sure how it will cope with inserts >64 characters, and there is
	  a minor problem if the document is new and the GSring buffer is created..

Sun Aug  8 19:26:18 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* gE_mdi.c: (gE_document_new) Don't initialise the GString here.
	
	* gE_view.c: (doc_insert_text_cb) Check whether the GString is initialised,
	  if not, create it and insert the buffer.
	  (gE_view_new) Erm, dont check for the GString content (as it may not have
	  been initialised), instead just check wheter the GSTring exists.

Sun Aug  8 18:53:39 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* main.h: (gE_document) Made the buffer a GString.
	
	* gE_mdi.c: (gE_document_new_with_file) Open and insert the file into
	  the GString buf, by loading the file into a temporary buffer then
	  creating the GString and inserting this temporary buffer into it.
	  (gE_document_new) Create an empty GString.
	
	* gE_view.c: (doc_insert_text_cb) Insert the text into the GString 
	  buffer. THere's something wrong with this, maybe i'm accessing the
	  GString in the wrnog manner.
	  (doc_delete_text_cb) Erase the text from the GString buffer. Again,
	  there appears to be something wrong with this..
	  (gE_view_new) Check for the existance of text in the buffer, instead
	  of checking for buf_len. And use the GString buffer length item instead
	  of the buf_len.

Sun Aug  8 17:58:18 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* main.h: Added changed flags to the gE_document struct. changed should
	  be on a per-document basis, not per-view.
	
	* commands.c: (recent_cb) Use a gE_documetn_new_with_file, so correct
	  buffer status is achevied. Added braces aroimd the else statement..
	  DOH! how did i miss that.. Aaaand, the toplevel if braces meant that
	  if there was a doc, the recent file would only be opened if the
	  doc was modified... and as we make sure tehres always a viisble
	  docuemnt we should open the file into the current un-modified doc..
	  (you got all that, right? ;) this fixes a nasty pointer error at exit.
	
	* commands.c: Removed include of dialog.h.
	  (popup_close_verify) Removed char initialiser, which used references
	  to dialog.h. The char itself isnt used in thisfunction anyway! (well,
	  it may have done in a previous life).
	
	* commands.c: (filenames_dropped) (file_open_ok_sel)
	  Use gE_docuemtn_new_with_file instead of document_new then using a
	  gE_file_open.
	
	* commands.c: (file_open_cb) The signal connectors shoudl only be called
	  when the dialog is being created, so the braces extend from the 
	  selection_new function call to the widget_show. Now, if the widget 
	  already exisits, it just gets displayed and not reinitialised. This 
	  fixes the //// bug in the filename descriptor.

Sun Aug 08 16:55:46 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* makeconfig.pl: Upped version to 0.5.5pre

Sat Aug 07 18:46:50 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* gE_view.c: (gE_view_new) Check to see if the gE_docuemnt buffer
	  contains text, if so, insert this into the view; i need to figure out
	  how to keep this buffer in sync, so the GnomeMDI add view will work
	  properly.

Sat Aug 07 18:09:58 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* gE_window.[ch]: Replacements for gE_document.[ch]. Removed old cruft
	  that isnt needed any more (such as msgbar and popup menu code).
	
	* commands.c:
	  gE_files.c:
	  gE_mdi.c:
	  gE_plugin_api.c:
	  gE_prefs_box.c:
	  gE_print.c:
	  gE_view.c:
	  gedit.c:
	  menus.c:
	  search.c: Replaced includes of gE_document.h for gE_window.h (ahh,
	  the joy's of sed =).
	
	* gE_document.[ch] are now depreciated files, i'll keep them for now
	  for reference purposes.

Sat Aug 07 17:50:30 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* Makefile.am:
	  toolbar.[ch]: ok, i've put the actual toolbar GnomeUIInfo into
	  toolbar.h and commented out toolbar.c from the make list. Nothing
	  uses toolbar.c any more (we use GnomeMDI, we just need to supply the
	  GnomeUIInfo).
	
	* Makefile.am: Also commented out dialog.[ch], its not used any more

	* gE_document.c:
	  gE_files.c:
	  gE_prefs.c:
	  gE_prefs_box.c:
	  menu.c: Commented out an include for toolbar.h - only gedit.c needs
	  it.
	
	* gE_prefs.c: Go back to using the regular gnome_config code, instead
	  of our old gE_prefslib.[ch] code. This should improve config
	  performance (as we dont open/close the config file each time). 
	  I've shaved off about 17k from the binary now! wooo! =)

Tue Jul 20 16:26:39 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* gE_view.[ch]: Made the View widget inherited from a GtkVBox. This
	  has fixed one of the Gtk-CRITICAL errors and means we dont have to
	  worry about allocating space for the widget.
	
	* gE_document.c: (gE_window_new) Started re-writing this function, 
	  to try and make GnomeMDI a little more stable.

Mon Jul 19 19:30:14 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* main.h: (gE_document) Added buffer and buffer size to the document
	  struct.
	
	* gE_mdi.c: (gE_document_new) Removed references to 
 	  gnome_mdi_add_child/view. (gE_document_new_with_file) As above, 
	  but now load the requested file into the gE_document internal buffer.
	
	* gE_files.c:
	  commands.c:
	  gE_document.c:
	  gE_plugin_api.c:
	  gedit.c: All gE_document_new* functions have the 
  	  gnome_mdi_add_child/view after them, as they are no longer in the 
	  gE_document_new* functions.

Mon Jul 19 18:44:31 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* TODO-large: Moved old TODO list into this.
	
	* TODO: New and more consise TODO list.
	
	* KNOWNBUGS: Added Line Counter problem.

Sun Jul 18 21:09:40 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* src/search.c: (search_search) Search should work properly now, except
	  search backwards is a bit dodgy now, erf.. 

1999-07-17  Karsten Weiss  <karsten@addx.au.s.shuttle.de>

	* gE_prefs_box.c: (doc_page_new) Tagged two strings as translatable.

Fri Jul  2 16:18:27 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* README: Upped version number to 0.5.4. Also updated various parts
	  of the file to reflect current features and other related items.
	
	* README.plugins, INSTALL, makeconfig.pl: Upped version number to 0.5.4,
	  in preperation of release.
	
	* NEWS: Added Announce message for 0.5.4.

Mon Jun 28 19:37:27 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* gE_view.[ch]: New files... What i've done is re-implemented the 
	  viewable area that you enter text into as a widget, called gE_view.
	  The widget now works the same as the old method, but now the GnomeMDI
	  system will be able to access the member widgets, unlike before.
	
	* main.h: (gE_document) Moved all the view related widgets into the 
          gE_view class structure.
	
	* commands.[ch]: Moved view related functions over to gE_view.[ch]. Also
	  modified any functions that referred to the old method to refer to the
	  new gE_view system.
	
	* gE_document.c:
	  gE_prefs_box.c:
	  gE_plugin_api.c:
	  gE_print.c:
	  menus.c:
	  search.c: Made the functions that used the old view method use the new
	  method. So all doc->text is now either a view->text or a 
	  GE_VIEW (mdi->active_view)->text (as gE_view is the MDI view now).
	
	* There's still lots of bugs, i know.. but the new system is working 
          now.

Sat Jun 26 22:22:17 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* Erk! i havent been keeping this up to date.. ahwell.. here goes..
	
	* gE_document.[ch]: (gE_window_new) Make it a GnomeApp arg, instead
	  of a GtkWidget.. much nicer.. And commented out the call to
	  gE_set_menu_toggle_states, gnome-libs 1.0.11 doenst seem to like it..
	
	* gE_mdi.c: various improvements.. (iirc ;)
	
	* gE_prefs.[ch]: Added a "close doc" flag..
	
	* gE_prefs_box.c: Moved the print tab to a Document tab, and added a
	  option for what to do when the last documnet of the window is closed..
	  right now only the first option works.. this corresponds with the 
	  flag, above.
	
	* commands.c: Made the close callback check the "close doc" flag, and 
	  it will either open a new doc if there arent any more, or print hola! to
	  stdout.. as i said, its not fully implemented yet.
	
	
Thu Jun 17 19:00:32 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* commands.c: (doc_changed_cb)
	  gE_files.c: (gE_file_save) Update the window title when the file is
	  saved or modified.

Thu Jun 17 14:49:22 BST 1999  Alex Roberts  <bse@gedit.pn.org>
	(From patch supplied by Akira Higuchi <a-higuti@math.sci.hokudai.ac.jp>)
	
	* src/gE_files.c: (gE_file_save) Better error checking when saving 
	  files.
	  Fixed a couple of memory leaks too.

1999-06-16  Tomas Ogren  <stric@ing.umu.se>

	* src/gE_about.c src/gE_plugin_api.c src/gE_prefs_box.c src/search.c
	  Misc i18n-fixes

Wed Jun 16 18:23:00 BST 1999  Alex Roberts  <bse@gedit.pn.org>
	(From patch supplied by Akira Higuchi <a-higuti@math.sci.hokudai.ac.jp>)
	
	* po/ja.po: New file.
	
	* src/commands.c: Marked a string for translation. Without this,
	  gnome_app_remove_menu_range() may fail.
	
	* src/gE_plugin_api.c: Include config.h first. Or gettext will
	  not work.
	
	* src/main.h:
	  src/gE_mdi.c:
	  src/gE_prefs.c:
	  src/gE_prefs_box.c:
	  src/gedit.c: Added fontset support. We use fontsets if a
	  fontset is supplied for text widgets.
	  
	* src/search.c: Added multibyte support.
	
Sat Jun 12 19:28:38 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* gE_mdi.c: Removed references to the gE_documents GList.. i think this
	  will improve stability and performance (my excuse.. so blahh =P )

Sat Jun 12 13:04:30 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* gE_document.c: (gE_window_new) Ok, weirdness... i've ptu a gE_document_new
	  call in here and it works now! before it would complain then die..
	  Ah well, now there is a default doc when you open a new window.
	  (need to implement a if this is the last doc, and you close it, close
	  the window..)
	  
	  Taken the Line button out of a hbox.. it's obvious what it is when you
	  ptu the mouse over it.. and none of the other dock items would fit if
	  it had the box either..

Thu Jun 10 16:42:56 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* gE_document.c: (gE_window_new) Using gtk_window_set_default_size 
	  finally fixes the window-jumping-back-to-the-usize-setting! GtkWidgets
	  don't like being resized smaller than the size they have been
	  specified! grr... this works.. no more email about it!
	  
	  Made the statusbar, Column indicator, and Line button GnomeDockItem's..
	  Now you can customise the bottom row (i'll add some prefs box
	  stuff for these features).. Problem: Statusbar is now a hardcoded
	  size (kinda.. window_width minus 160 (size of the other two dock
	  items), so it all fits on the window properly.. otherwise it looks
	  yukky when you do things! (again, i'll fiddle with the prefs box
	  and add customisability to all this)...
	
	* makeconfig.pl: Upped version to 0.5.4pre.. now the code is nolonger 
	  the same as the released 0.5.3 code =)

Fri Jun  4 13:52:21 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* commands.c: (recent_cb) Check wether there actually is a document
	  available, instead of presuming there is.
	  Fixes a bug brought up by Kuba Winnicki <bw@idc.com.pl>.

Mon May 24 19:50:58 BST 1999  Alex Roberts  <bse@gedit.pn.org>

	* Released 0.5.3
	
	* makeconfig.pl: Ok, time for release.. changed version to 0.5.3.

	* NEWS: Added ANNOUNCE message.
	
	* README.plugins: Added documentation for the Man Page and Time plugins.
	
	* src/gE_prefs.[ch]: (gE_get_settings) Added new check, for running gEdit
	  the first time, now we dont segfault when gEdit starts with no prefs file.
	  (Thanks to Kjartan Maraas for spotting that one).
	
1999-05-23 00:22:46  Alex Roberts  <bse@gedit.pn.org>

	* README: Updated for 0.5.3. Plus, some minor cosmetic updates.
	
	* INSTALL: Tidied it up; for 0.5.3.
	
	* KNOWNBUGS: Added entry about MDI Mode bugs.

1999-05-22 00:42:04  Alex Roberts  <bse@gedit.pn.org>

	* src/commands.c: (file_open_cb) Use a delete_event signal instead of a 
	  destroy signal to close the dialog with the WM (Thanks to the GIMP source
	  for that handy fix).
	
	* src/search.c: (count_lines_cb) Make sure that gE_document_current returns a
	  document, before continuing, instead of bombing out on an assertion error, 
	  makes the program much nicer when running.
	
	* Thanks to Sergio A. Kessler (and his group) for pointing out these bugs.

1999-05-21 16:55:57  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_prefs_box.c: (window_page_new) get the allocation.width and height
	  of the window to set the current width/height entries.
	  Connected the "Use Current" buttons to set the corresponding Startup entry
	  to the current width/height.
	  (gE_prefs_dialog) Moved the Window tab next to the General tab.
	
	* User configurable width/height really is finished now! :)

1999-05-21 16:18:32  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_plugin_api.c: (gE_plugin_text_insert), (gE_plugin_text_append) 
	  Replaced calls to gtk_text_insert with gtk_editable_insert_text so that 
	  the doc_insert_text_cb can pickup the changes and duplicate into the
	  split-screen. No more get_point warnings!
	
	* src/gE_prefs_box.c: (plugins_clist_add) Make the file selection box start
	  in the $PLUGINDIR, instead of the current directory.
	  Added Translation _() tags around the file selector tilebar string.

1999-05-21 13:39:23 BST  Alex Roberts  <bse@gedit.pn.org>

	* gE_document.[ch]: (gE_window_new) Changed the GnomeApp arg to a GtkWidget.
	  Now resizing smaller really does work properly now!! Honest! :)

1999-05-21 01:29:18 BST  Alex Roberts  <bse@gedit.pn.org>

	* gE_document.c: (gE_window_new) Use the settings->width/height values to set
	  the usize of the window.
	
	* gedit.c: (main) Call gE_get_settings, for initial startup.
	
	* gE_prefs_box.c: (gE_apply) Ok! Now we set the width/height settings by
	  gettign the values ofthe entry.
	  (gE_prefs_dialog) Connect a modified signal when we change the width/height
	  entries.
	  
	* Ok, now it's time to sleep... User configurable width/height is finished!! :)

1999-05-20 23:32:57 BST  Alex Roberts  <bse@gedit.pn.org>
	* src/gE_prefs.h: Added width/height gints.
	
	* src/gE_prefs.c: Load and Set Width and Height settings. If Width/Height
	  aren't available we set them to the defaults.
	
	* src/gE_prefs_box.c: (get_prefs) Set the Width and Height entries to the
	  settings->width/height values. 
	  Now I need to implement these numbers further to make it all work together =)

1999-05-20  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_prefs_box.c: Started to implement Window Size settings, so you
	  can choose the geomtry of the gEdit window. Only the GUI is in place,
	  none of it works yet - but doesn't it look nice? ;)

1999-05-20  Alex Roberts  <bse@gedit.pn.org>
	
	* src/gE_mdi.c: (gE_document_create_view) DAMNIT!!!!! Aargh! Ok, I've
	  fixed that irritating gtk_text_set_point critical error that sometimes
	  appeared when you were using auto indent.. for some reason the 
	  split-screen text widget had it's auto_indent signal connection
	  commented out (it had a window pointer in it, instead of a NULL, a
	  left over from when I was implementing GnomeMDI and removing the
	  gE_window stuff). The button_press_event was also in the same state, 
	  fixed that too. :)
	
	* src/gE_document.c: (gE_window_new) Added a window policy for the 
	  main window, now it'll resize smaller and stick (i'm sure this was here
	  before, no idea how or why it got taken out).

1999-05-20  Alex Roberts  <bse@gedit.pn.org>
	
	* src/commands.c: (auto_indent_toggle_cb) Removed the (gint*) cast 
	  (No more make warning)
	
	* src/gE_plugin_api.c: (gE_plugin_document_create) (int *) -> (int)
	
	* src/gE_prefs.h: (struct _gE_preference) DOH! should be gint mdi_mode;
	  not *mdi_mode!
	
	* src/gE_prefs.c: (gE_get_settings) settings->mdi_mode and ->scrollbar are
	  int's, we should  check if its 1 or 0; instead of NULL as done before.
	  Also, if the mdi_mode setting is empty set it to GNOME_MDI_NOTEBOOK.
	
	* src/gedit.c: (main) People were having problems, so the default start-up
	  MDI Mode is GNOME_MDI_NOTEBOOK - in case people didnt have taht as their
	  default
	  for some reason and are getting confused (e.g. "The document tabs seem to
	  be gone." - Joonas Makkonen)

1999-05-20  Alex Roberts  <bse@gedit.pn.org>

	* src/gE_mdi.c: (gE_document_new) Do the add_child/view stuff here,
	  instead of doing it after calling gE_document_new. This fixes the minor
	  problem of plugins appending onto the end of the current doc.
	  
	  (view_changed_cb) Commented out most of this code, it
	  was causing some weird problems, and I'm not even sure what this function
	  should do.
	
	* src/commands.c: (file_new_cb) 
	  src/gedit.c: (main) Removed the add_child and add_view calls after 
	  calling gE_document_new.
	
	* src/gE_print.c: Cleaned up make warnings - added an include for gE_mdi.h

	* src/gE_about.c: Added Thomas (Layman) and Martijn (LotR) to the
	  "Special Thanks" list, because of their valued and continued assistance
	  to the project.

1999-05-17  Alex Roberts  <bse@gedit.pn.org>

	* src/menus.c: Added Revert option to File menu.
	
	* src/commands.[ch]: Added file_revert_cb and file_revert_do - For file revert
	  options, now you can revert all changes to a document back to the original
	  saved state. =)
	  (recent_update_menus) Changed menu range to 6, otherwise the Revert option
	  would get replaced by a historic document.

1999-05-17  Alex Roberts  <bse@gedit.pn.org>

	* src/commands.c: (file_open_ok_sel) Use the osel widget instead of a
	  pointer; Also, duplicate the FileSelection filename instead of pointing
	  to it (i think this was the problem with opening files before, seems a lot
	  more stable now).
	
	* src/gE_mdi.c: (gE_document_new_with_file) Don't use the gE_document_new to
	  create the document, use the same method that gE_document_new uses though.
	
	* src/gE_files.c: (gE_file_open) The doc->filename is now a duplicate of the
	  filename arg, not a pointer.
	  
	* Stability seems to have been improved greatly now.
	
	* makeconfig.pl: Added pt_BR to ALL_LINGUAS.
	
	* README.plugins: Added Clahey's Wordcount plugin.

1999-05-12  Alex Roberts  <bse@gedit.pn.org>

	* makeconfig.pl: Changed version number to 0.5.3pre. To differenciate with
	  the released version.

1999-05-11  Martijn van Beers  <martijn@earthling.net>

	* search.c: fixed several border-condition bugs

1999-05-11  Alex Roberts  <bse@gedit.pn.org>

	* main.h: Made the scrwindow widget an array of 2.
	
	* gE_mdi.c: (gE_document_create_view) Let the main text entry area use
	  the first scrwindow widget, and the splitscreen use the second.
	
	* commands.[ch]: (scrollbar_never_cb,
				  scrollbar_always_cb,
				  scrollbar_auto_cb) New functions. Select the scrollbars
				  to be Never on, Always on, or Automatic.

	* menus.c: Added Scrollbar submenu of the settings menu. Using the above
	  new functions to select the status of the scrollbar. (I'm not sure if
	  this should be in the Preferences Box or not..?)
	
	* gE_prefs.[ch]: Save the status of the Scrollbar into settings->scrollbar.
	  (*FIXME* This doesn't seem to be all together working properly. Maybe some
	  kind of reference system should be done, or something..)

1999-05-10  Alex Roberts  <bse@gedit.pn.org>

	* commands.c: (recent_cb) Use the same filename/modified checking
	  that file_open_ok_sel uses in the recent document opening callback.
	  Now when you open a recent document it doesn't open into the current
	  document.
	  
	* gE_mdi.c: (gE_document_create_view) Made he vertical scrolling of the
	  scrolled window AUTOMATIC. So now the scrollbar only appears when the
	  text overflows the visible on-screen textbox. This was an extremly
	  popular request, and now it's there :) (maybe it should be a configurable
	  feature..?)

1999-05-09  Alex Roberts  <bse@gedit.pn.org>

	* INSTALL: Finally removed the gmodule stuff, which doesn't work
	  anyway. Added --prefix info for ./configure.

1999-05-09  Alex Roberts  <bse@gedit.pn.org>

	* README: Updated to contain current information on the release and
	  it's status on requiring GNOME.
	
	* NEWS: Tidied it up a bit, added release date.

1999-05-09  Kjartan Maraas  <kmaraas@online.no>

	* makeconfig.pl: Added entry for help/no/Makefile

	* help/Makefile.am: added SUBDIR "no"
	
1999-05-09  Kjartan Maraas  <kmaraas@online.no>

	* help/no/*: Added Norwegian translation of the help files.
	
1999-05-09 (00:15) Alex Roberts  <bse@gedit.pn.org>

	* help/C/Makefile.am: Added a dist-hook:. make dist now finishes

1999-05-08  Alex Roberts  <bse@gedit.pn.org>

	* TODO: Tidied it up a bit, removed the old cruft which has now been 
	  done (in prep for the 0.5.2 release)

1999-05-08  Alex Roberts  <bse@gedit.pn.org>

	* src/commands.c: (file_open_ok_sel) AT LAST! IT WORKS! set the filename
	  of the *osel to "". Everything is peachy now (i hope ;)

1999-05-08  Alex Roberts  <bse@gedit.pn.org>

	* Makefile.am:
	  makeconfig.pl:
	  help/C/topic.dat:
	  help/C/index.html: Added help file
	
	* src/gE_plugin_api.c: Replaced all the calls to g_hash_table_lookup
	  with straight gE_document_current() calls. Plugins seem to be 
	  working fine now.
	
	* src/commands.c: (doc_insert_text_cb) Commented out the GnomeMDI CHild
	  stuff, I have no idea why it doesn't work. Maybe some GnomeMDI guru
	  could look at it.. :)
	  (file_open_ok_sel) Ok, it works properly now.. It was dereferenceing
	  the filename (iirc). It's working fine now..

1999-04-30  Alex Roberts  <bse@gedit.pn.org>

	* commands.c: (file_open_ok_sel) Setting the filename selected in 
	  the File Selector to "" was a bad idea. Trying to save the file,
	  the filename of the doc itself was being corrupted. I've now 
	  removed this and it works fine.
	
	* gE_mdi.c: Moved the gE_document hash table initialisation to the
	  document class initialiser function.
	  Fixed up the context menu, and re-implemented the "Open .c/.h file"
	  option.

	* gE_document.h: Made the doc_swaphc_cb function an extern so gE_mdi.c
	  can use it for the context menu
	  
	* Some other minor bug fixes/code cleanups

1999-04-23  Martijn van Beers  <martijn@earthling.net>
	* commands.c:
	* gE_prefs_box.c: removed some commented stuff
	* main.h:
	* gE_document.c: removed gE_search stuff
	* gE_mdi.c: Changed menu callback code for new search
	            use gE_documents list again
	* search.[ch]: almost completely reimplemented. Now does backwards
	  searching, separated gui code and functionality.

1999-04-12  Kjartan Maraas  <kmaraas@online.no>

	* gE_prefs_box.c: (plugins_page_new) marked a string for translation.
	  
1999-04-10 (16:06) Alex Roberts  <bse@gedit.pn.org>

	* gE_document.c: (gE_window_new) Ok, i got it wrong, we should be
	  using the `plugins' GList.
	
	* gE_plugin_api.c: (gE_plugin_program_register) Ok, nobody ever told
	  me about this function. This has been the cause for all my Plugins 
	  problems. By replacing the window_list in g_list_foreach () with
	  mdi->windows (i only just found this GList.. never noticed it before)
	  we get plugins added to the menu properly.
	  
	* plugin.c: Made the plugin_callback_struct pl_callbacks an extern, why
	  define it lots of times.. as it's initialised in gedit.c without an 
	  extern.
	
	* gE_prefs_box.c: (gE_window_refresh) I also found mdi->children for all
	  the mdi children (obviously). So by replacing the calls to the
	  gE_documents GList with mdi->children we can now change the text font
	  globally :)

1999-04-09 Alex Roberts  <bse@gedit.pn.org>

	* Mooooo! Plugins!!!! Hurrahh! Except the only plugin really working
	  is E-Mail, but that doesnt add or edit any docs.
	
	* gE_document.c: (gE_window_new) Removed old code (which was
	  commented out). 
	  Changed the GSlist lookup to not check `plugins' but `plugin_list'.
	  FIxed the hash table to use the GnomeApp arg.
	  Dropped the gE_window. 
	  Added function wide statusbar.
	
	* gE_mdi.h: Internationalisation stuff for the menus.
	  (gE_document_create_view) Brought back the hash table stuff for the 
	
	* gE_plugin_api.c: (add_plugin_to_menu) gnome_app_insert_menus replaced
	  with gnome_app_insert_menus_with_data, we should send the gE_data.
	  the plugin_register (...) call should send a mdi->active_window, not
	  data->window.

1999-04-08 (23:39) Alex Roberts  <bse@gedit.pn.org>

	* gE_mdi.c: Fixed the popup menu entries for the internationalisation
	  translation thingies..

1999-04-08 (15:05) Alex Roberts  <bse@gedit.pn.org>

	* menus.c: Instead of sending GE_DATA gpointers, send NULL. The
	  gE_data pointers dont do anything. THis was adding to our 
	  original save problems.

	* commands.c: Ok i fixed the Save As bugs. Ok, installed a 
	  global pointer for each dialog (save and open). Now, instead
	  of packing them into a gE_data (which was borking up before)
	  we just reference these global dialogs...
	  (..) Removed masses of code in the file op's callbacks that was
	  making gE_data's.. we don't need them now.
	  (file_open_ok_sel) Made a static void, instead of a gint function.
	  (file_save_cb) 
	  (file_saveas_ok_sel) Made a void, instead of a gint.
	
	* gE_mdi.c: (gE_add_view) Set the changed_id of the view to the same
	  as the one in the original child. Now I just have to implement 
	  keeping the views in sync with each other.

1999-04-07 (15:13) Alex Roberts  <bse@gedit.pn.org>

	* gE_files: Tidied up code. Removed old, commented out, cruft.
	  (gE_file_open) We only use the second method of opening a
	  file, why keep the first method!?

1999-04-07 (14:37) Alex Roberts  <bse@gedit.pn.org>

	* commands.c: (file_save_cb) Check whether the file has been
	  changed before saving.

1999-04-07 (14:12) Alex Roberts  <bse@gedit.pn.org>

	* gE_mdi.c: (gE_document_create_view) Removed the doc->changed
	  and doc->changed_id settings from this function. Should fix
	  some of the add_view problems.
	 (gE_document_init) Added the doc->changed_id signal
	  connection that was in gE_document_create_view.
	
	* gE_mdi.c: Uncommented the view menu options. At least the
	  changed flags should be ok now.

1999-04-06 (15:57) Alex Roberts  <bse@gedit.pn.org>

	* main.h: Added GtkWidget *scrwindow member to the gE_document
	  struct.
	
	* gE_mdi.c: Replaced table with a Scrolled Window for the text
	  entry area. Now we can resize and keep the scroll bar, also
	  means we don't have to add a vscrollbar ourselves, making the
	  code leaner and lighter.
	
	* gE_document.c: (gE_document_set_split_screen) Re-Implemented
	  split-screen toggling. The Split-Screen mode is (kinda) back.
	
1999-04-06 (15:28) Alex Roberts  <bse@gedit.pn.org>

	* main.h: Added a gE_search member to the gE_document struct.
	
	* gE_mdi.c: (gE_document_init) Initialise the gE_search member.
	
	* search.c: Made all search functions use the gE_search member of
	  the current gE_document, instead of the current gE_window.

1999-04-06 (13:56) Alex Roberts  <bse@gedit.pn.org>

	* gE_prefs_box.c: Added MDI Page. We can now set the MDI mode and
	  keep it over sessions of gEdit.
	
	* gE_prefs.c: Get/Save MDI mode settings.
	
	* gE_prefslib.c: (gE_prefs_get_default) Added default setting for
	  MDI mode.

1999-04-04 (14:57) Alex Roberts  <bse@gedit.pn.org>

	* gE_files.c: Moved fcntl.h under the sys/types.h so it can compile on
	  OS/2/EMX (Thanks to Asbjoern Pettersen <ape@spacetec.no>).

1999-04-04 (13:59) Alex Roberts  <bse@gedit.pn.org>

	* README: Updated Mailing List and email address.
		  Upped version number to 0.5.2
	
	* INSTALL
	  makeconfig.pl: Upped version numbers to 0.5.2
	
	* gE_init.[ch]: Removed old, unused source files

1999-04-03 (15:57) Alex Roberts  <bse@gedit.pn.org>

	* commands.c: (child_switch) Fixed the function for GnomeMDI.. it now
	  sets the gEdit window title with the name of the doc as it did before
	  GnomeMDI was introduced - One problem, the titlebar flickers when you
	  change the child.
	
	* gedit.c: (main) Don't send a window pointer to the child_changed signal,
	  no pointer at all is needed in fact.
	
	* gE_mdi.c: Removed unneeded debug output.

1999-04-03 (15:30) Alex Roberts  <bse@gedit.pn.org>
	
	* gE_mdi.c:  (gE_document_create_view) Removed the signal connections
	  that connect doc_insert_text_cb and doc_delete_text_cb.. It seems
	  they were for Undo/Redo, but i'm sure there are easier/better ways
	  to implement this. So there are no more Gtk-CRITCAL errors anymore!
	
1999-04-03 (14:47) Alex Roberts  <bse@gedit.pn.org>
	
	* gE_mdi.c: Commented out the view_menu.. the Add View and Remove
	  View functions are completely borked.. The implementation is
	  completely different to the way GHex implements it.. maybe Jaka
	  could have a look?
	
1999-04-03 (13:16) Alex Roberts  <bse@gedit.pn.org>
	
	* gedit.c: (main) Don't send a GE_DOCUMENT reference to add_view.. 
	  Otherwise we get a Gtk-WARNING on startup...
	
1999-04-03 (00:25) Alex Roberts  <bse@gedit.pn.org>
	
	* commands.[ch]: (auto_indent_cb) Added extra arg to the function, so
	  we dont set the int *pos to 0 by accedent.

1999-04-02 (23:53) Alex Roberts  <bse@gedit.pn.org>

	* gE_mdi.c: (gE_document_create_view) Reactivated the signal connection
	  for "insert_text"... now i just get Gtk-CRITICAL errors from
	  gtk_text_set_point.. maybe its not referencing the TextWidget
	  properly.. even tho the auto indent itself is working.. grr..
	
	* commands.c: (auto_indent_cb) !data->window->auto_indent should be
	  !settings->auto_indent.. turning auto indent off should work now,
	  as soon as i get the rest of auto indent implemented

1999-04-02 (23:40) Alex Roberts  <bse@gedit.pn.org>

	* gE_mdi.c: (gE_add_view) This is pretty much a kludge. Just the same
	  as the old file_open_in_new_win_cb function (commands.c)..

1999-04-02 (23:22) Alex Roberts  <bse@gedit.pn.org>

	* commands.c: (gE_event_button_press) Put the debug output of this
	  function into an #ifdef..

1999-04-02 (23:07) Alex Roberts  <bse@gedit.pn.org>

	* gE_mdi.c: Added replacement to the context popup menu for the text
	  widget. Now in a Gnome Popup menu, with spiffy stock pixmaps :)
	  (gE_document_create_view) Attached the popup menu GnomeUIINFO to the
	  text widget.
	  
	* commands.c: (edit_cut_cb, edit_copy_cb, edit_paste_cb, edit_selall_cb)
	  Replaced gnome_app_error with gnome_app_flash.. how the hell did that 
	  get there?! I must have been tired when I wrote that! ;)

1999-03-27 (20:18) Alex Roberts  <bse@gedit.pn.org>

	* commands.c (doc_insert_text_cb) removed some really annoying debug 
	  message.
	
	* gE_prefs_box.c: (gE_window_refresh) Re-implemented statusbar visibility
	  refreshing from the prefs box.

1999-03-20 (19:40) Alex Roberts  <bse@dial.pipex.com>

	* menus.c:
	  commands.[ch]: (window_new_cb): Use gnome_mdi_open_toplevel() to create a
	  new window. We now have the "Create new window" feature back! YAY!

	* gE_mdi.[ch]:
	  gedit.c: (main) Added signal connections for add_view and add_child. They
	  dont do anything yet, and i'm not sure if they ever will.

1999-03-16 (20:46) Alex Roberts  <bse@dial.pipex.com>

	* gE_mdi.c: (gE_add_view) Duplicate the text from the child into the new
	  view. They don't simultaineously update tho.. Checking if the document has
	  changed is working again tho :) 

1999-03-14 (23:46) Alex Roberts  <bse@dial.pipex.com>

	* gE_prefs.c: (get_settings)
	  gE_document.c: (gE_window_set_status_bar) Use current (mdi)active_window
	  to access the builtin GnomeApp statusbar member. Statusbar toggle is back!
	  yay! Window doesnt refresh tho, leaving a gap (until the window is resized
	  that is).. Ah well..
	
1999-03-14 (19:46) Alex Roberts  <bse@dial.pipex.com>

	* commands.c: (file_quit_cb) If user presses cancel on mdi_remove_all, then
	  we shouldn't close the app! And so, we don't.
	
1999-03-14 (19:01) Alex Roberts  <bse@dial.pipex.com>

	* main.h:
	  gE_document.c:
	  gE_files.c:
	  commands.[ch]: Converted all the respective recent document functions to
	  using GnomeApp pointers, instead of gE_window's. Recent Documents list
	  is back! Yay!

1999-03-14 (18:02) Alex Roberts  <bse@dial.pipex.com>

	* gE_document: (gE_document_set_read_only) Use gnome_mdi_child_set_name
	  instead of setting the old (now defunct) tab label. 
	  Read Only documents are BACK! yay!

1999-03-14 (00:02) Alex Roberts  <bse@dial.pipex.com>

	* gedit.c: (main) Doh.. open the toplevel first, before makeing a new
	  document.. Now we don't get two windows open on startup (if we specify
	  a file to open, or just have a plain file on startup).. Yippee!

1999-03-13 (23:46) Alex Roberts  <bse@dial.pipex.com>

	* menus.c:
	  commands.[ch]: Document tab positioning is back.. Kinda.. If you change
	  the tab position, you need to make a new MDI window.
	
	* gE_document.c: (gE_window_new) I've commented out the Recent_Document list
	  update call, until i get that fixed with MDI. This stops most of the
	  menus warnings on startup.
	
	* gE_plugin_api.[ch]: (add_plugins_to_window) Send a "GnomeApp" to this
	  and the functions after this. This sort of fixes the startup menu 
	  warnings (well.. atleast they're different ones now ;).

1999-03-13 (19:37) Alex Roberts  <bse@dial.pipex.com>

	* gE_mdi.c: (remove_doc_cb) Now we ask the user if they want to save the
	  document if it has been modified. Unfortunatly, if the doc is Untitled,
	  it won't ask for a filename, it'll just close the file... :(
	
1999-03-13 (16:12) Alex Roberts  <bse@dial.pipex.com>

	* commands.c: (doc_changed_cb) Get the name from the actual MDI Child, not
	  from the document's filename.
	  (file_open_ok_sel): Check if there is a current document, then check if
	  that document has been modified. If the doc has been modified, or if there
	  aren't any current documents, make a new one (w/ file).

1999-03-13 (15:46) Alex Roberts  <bse@dial.pipex.com>

	* menus.c:
	  gE_mdi.c: Moved Edit menu tree. It gets created when a new document
	  is made; along with the View tree. This looks a lot neater.
	
	* makeconfig.pl: Taken out references to the old 'WITHOUT_GNOME' system
	  of pre-0.5.0. And removed the old Gtk+ cehcking, its all done by the
	  Gnome now. Much nicer.. yeah..

1999-03-13 (00:55) Alex Roberts  <bse@dial.pipex.com>

	* gE_document.c: Default window size (630,390) is BACK! yay!
	
	* gedit.c: Took out the gE_document_current reference, we can now load files
	  from the command line again. Yippee!

1999-03-12 (19:09) Alex Roberts  <bse@dial.pipex.com>

	* gE_mdi.c: (gE_document_create_view) The document being created is now
	  built from the MDIChild specified in the function arguments. Instead of
	  a fresh new gE_document; Now the text widget is being created properly,
	  and file loading and saving now works again.. yay!
	
	* gE_mdi.c: Added creation of View menu to menubar, only problem is that
	  the file doesnt get recreated properly when a new view is added; And a new
	  window seems to get created when the first new document is added (on 
	  startup)...

1999-03-12 (18:25) Alex Roberts  <bse@dial.pipex.com>
	
	* toolbar.h:
	  gedit.c: The Toolbar has returned :]

1999-03-12 (18:00) Alex Roberts  <bse@dial.pipex.com>

	* gedit.c:
	  menus.c: Added Files menu, for use with MDI..

1999-03-11 Alex Roberts  <bse@dial.pipex.com>

	* I've been working on adding GnomeMDI to gEdit since the last entry.

	* gE_mdi.[ch]: New files, containing the new gE_document class definition
	  to work with GnomeMDI. This is the main work towards the new GnomeMDI
	  stuff in gEdit. Work on this is based upon Ghex (and GTop)
	  
	* I've moved gE_document_new* and gE_document_current to gE_mdi.[ch].
	
	* gedit.c: Converted to using GnomeMDI.. so we initialise the MDI system
	  here. Also includes the signals for new documents, chaning views, etc.
	
	* There's more.. but basically just MDI stuff..
	
1999-03-10  Tomislav Vujec  <tvujec@carnet.hr>

	* aclocal-include.m4 (AM_ACLOCAL_INCLUDE): Add ACLOCAL_FLAGS in
	ACLOCAL. This allows maintainer rules to work if any of the macros
	change.

1999-03-10  Tomislav Vujec  <tvujec@carnet.hr>

	* gnome.m4 (GNOME_INIT_HOOK): Wrapped position parameter in
	testing for additional inits. It gets expanded while generating
	configure, resulting in an empty parameter list - syntax error in
	for statement.

1999-03-09  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome.m4 (GNOME_INIT): Add a new paramater, which is passed to
	GNOME_INIT_HOOK. 
	(GNOME_INIT_HOOK): New parameter "additional inits".  This is a
	list like "applets capplet", and the corresponding
	GNOME_APPLETS_LIBS and GNOME_CAPPLETS_LIBS are defined.

1998-03-01  Mark Crichton <crichton@gimp.org>

	* gnome-objc-checks : Added HAVE_GNOME_OBJC conditional

1999-02-27 (22:19) Alex Roberts  <bse@dial.pipex.com>

	* README*:
	  INSTALL:
	  makeconfig.pl: Upped version to 0.5.1
  
1999-02-27 (15:49) Alex Roberts  <bse@dial.pipex.com>

	* Eek.. so much i have done.. Here's a summary:
	 
	 * gE_prefs_box.c: Implemented 'No Plugins' toggle button, this erases
	   all plugins from the "Plugins" menu, and sets a config flag for 
	   using plugins to -1 and the Clist is deactived.
	   When the toggle button is activated the linked
	   list of plugins is reset and reloaded; The config flag is then set to
	   1 and the Clist becomes active once again.
	   When a plugin is added, the list of plugins is saved (incase gEdit is
	   nuked).
	   The toggle button isn't attached to the Apply preferences button, as
	   weird stuff happens to the list and more plugins are added!
	 
	 * plugin.c: Checks for the -1 flag, if it IS -1 then the list of plugins
	   is loaded, but no plugins are actually initialised and so the "Plugins"
	   menu doesn't get populated.
	   Commented out some g_free()'s, seems the variables partly and 
	   partly->buff arent being malloc'ed properly, and so causing gEdit to
	   segfault!
	 
	 * gE_about.c: Commented out the "#ifdef ENABLE_NLS", it seems to make 
	   gEdit stop responding and not display the About box.

1999-02-27 (12:22) Alex Roberts  <bse@dial.pipex.com>

	* commands.c: gtk_editable_cut_clipboard doesnt need GTK_CURRENT_TIME
	  (or whatever it's called) anymore, since 1.2 (it seems)..

1999-02-21 Michael Fulbright <drmike@redhat.com>
	* made spec file generated and tweaks slightly
	
1999-02-18 (19:46) Alex Roberts  <bse@dial.pipex.com>

	* Makefile.am: gedit.desktop goes into 
	  $(datadir)/gnome/Applications now...
	
1999-02-13 (01:49) Alex Roberts  <bse@dial.pipex.com>

	* plugin.c: Figured why custom plugins weren't working properly..
	  plugin_query() was being called, which called 
	  custom_plugin_new_with_query and had PLUGINDIR as the path..
	  plugin_query now calls that custom_plugin function with "" as the 
	  path, and when a plugin is added the full path is included in the
	  plugin_name.. not just the file name.. 
	  It fully works now.. been getting annoyed with this for the past
	  fortnight! Argh!

1999-02-05  Alex Roberts  <bse@dial.pipex.com>

	* plugin.[ch]: Added custom_* for plugins in places other
	  than $PLUGINDIR..
	
	* plugin.[ch]: plugin_load_list() and plugin_save_list()... new functions.
	  They load and save the list of plugins currently in use into the
	  Editor_Plugins Gnome config file.. if there is no list, the default 
	  plugins are loaded (from $PLUGINDIR)..

	* plugin.h: Added plugin_list_data and plugin_list as Linked Lists
	  for the plugins running, and their locations..
	
	* plugin.h: (extern plugin_callback_struct pl_callbacks): Added
	  as a global setup of plugins callbacks (setup in gedit.c, 
	  s/callbacks/pl_callbacks)... Whenever a new plugin is loaded, 
	  pl_callbacks must be referenced; or new sets of callbacks could
	  be setup in the application.
	
	* gE_prefs_box.c: Added Plugins section.. with a CList holding all the
	  plugins loaded (via the Linked List setup above, from the custom_*
	  functions in plugin.[ch])..
	  Adding a plugin calls custom_plugin_query(..) which adds the plugin
	  to the menu and adds it to the List of plugins..
	
	* All this code i have added, _should_ work in GO and GWP, as long as
	  they use the same kind of plugin.[ch] interface...

1999-02-04  Chris Lahey  <clahey@umich.edu>

	* gedit.spec: Got this working.

1999-02-04  Chris Lahey  <clahey@umich.edu>

	* makeconfig.pl: Removed some plugins that weren't compiling
	properly.

	* gedit.spec: Bumped the version number.

1999-02-04  Alex Roberts  <bse@dial.pipex.com>

	* README:
	  src/gE_about.c: Ok, i was bored.. added 1999 to the 1998 already there
	  (btw, today is my birthday.. i'm 16 now ;)

1999-02-03  Evan Lawrence <evan@worldpath.net>

	* src/gE_prefs.c:
	  src/gE_prefs_box.c: Fixed the statusbar toggle - it wouldn't come
	  back on once you turned it off, exited, and came back in.

1999-02-03  Alex Roberts <bse@dial.pipex.com>

	* README:
	  README.plugins:
	  makeconfig.pl:
	  INSTALL: Upped version numbers to 0.5.0.. Yup, we're almost there..

1999-02-03  Alex Roberts <bse@dial.pipex.com>

	* src/search.c:
	  src/gE_prefs.c:
	  src/gE_document.h:
	  src/gE_prefs_box.c:
	  src/gE_files.c:
	  src/gE_plugin.h:
	  src/gE_plugin_api.c:
	  src/gE_about.c: 
	  src/dialog.[ch]:
	  src/toolbar.h: Purged Gtk-only code, and removed references to
	  '#ifdef GTK_HAVE_FEATURES_1_1_0' (as we are going Gnome, and Gnome
	  requires  Gtk+ 1.1.x)..
	  (I left #ifdef WITHOUT_GNOME in gE_plugin_api.c (the menus part), for
	  future menu references, it could be useful in the futre)

	* gE_about.c: Added a 'Special Thanks To' to the About Box.. Gtk-Only
	  had it, why shouldn't Gnome-only?
	
	* main.h:
	  gE_about.c: Use VERSION defined in config.h
	
	* TODO: 
	  KNOWNBUGS: Updated it
	
	* FAQ: Added.. (Add Q/A's when they are asked/answered :)
	
	* Makefile.am: Added FAQ
	
	* makeconfig.pl: Version is 0.4.9!
	
1999-02-03  Chris Lahey  <clahey@umich.edu>

	* autogen.sh: Changed it to look for makeconfig.pl instead of
	configure.in.

1999-02-02  Chris Lahey  <clahey@umich.edu>

	* editor-plugins: A copy of the plugins directly from go.  This
	updates automatically.

	* gmodule-plugins: plugins is renamed gmodule-plugins.

	* plugins: Directory renamed gmodule-plugins.

	* .cvsignore: Added configure.in.

	* configure.in, makeconfig.pl: configure.in is now generate by
	makeconfig.pl.  So configure.in is removed and makeconfig.pl is
	added.

	* autogen.sh: Now calls makeconfig.pl and
	editor-plugins/plugins.pl.

	* Makefile.am: Switched from just plugins to editor-plugins and
	gmodule-plugins.

1999-01-30  Evan Lawrence <evan@worldpath.net>

	* src/commands.[ch]:
	* src/gE_document.[ch]:
	* src/gE_prefs.c:
	* src/gedit.c: Added the ability to drag files from gmc (or any other
	gnome filemanager that drag and drops) into a gEdit window, and have
	it open the dragged files, thanks to a tip from Miguel.

1999-01-27  Evan Lawrence <evan@worldpath.net>

	* src/Makefile.am:
	  src/commands.[ch]:
	  src/gE_document.[ch]:
	  src/gE_plugin.h:
	  src/gE_plugin_api.c:
	  src/gE_prefs_box.c:
	  src/gE_prefslib.c:
	  src/gedit.c:
	  src/main.h:
	  src/menus.c:
	  src/plugin.[ch]: Lots and lots of code cleanup. Mostly just removing
	left over gtk-only code, but I also removed the scrollball (since it
	doesn't really work in a one-dimension environment. Please email me if
	any problems pop-up after this commit.

	* TODO: Updated it.

1999-01-20  Nat Friedman  <nat@nat.org>

	* src/gE_prefs_box.c (gE_prefs_dialog): Connected the help signal
 	of the GnomePropertyBox to gnome_help_pbox_display.

1999-01-17  Alex Roberts <bse@dial.pipex.com>
	
	* src/menus.c: Added "Find Line..." to Edit menu.. Hope Nat doesn't
	  mind this addition (having to use it via usual Find is annoying)..

1999-01-17  Evan Lawrence <evan@worldpath.net>

	* src/gE_document.c: Fixed it so you can now turn the statusbar on
	  and off.

	* src/menus.c:
	  src/toolbar.c: Completely removed all the non-gnome cruft.

1999-01-17  Chris Lahey  <clahey@umich.edu>

	* src/plugin.c (process_next): Fixed an error where "Plugins" had
	been replaced with "_Plugins".

1999-01-17  Evan Lawrence <evan@worldpath.net>

	* Makefile.am: Removed msgbox.c and msgbox.h from it.

1999-01-17  Evan Lawrence <evan@worldpath.net>

	* commands.c:
	  gE_document.c:
	  gE_files.c:
	  gE_init.c:
	  gE_prefs.c:
	  gedit.c:
	  menus.c:
	  toolbar.c: Removed all references to the messagebox, as it's
	  completely useless.

1999-01-12  Alex Roberts <bse@dial.pipex.com>

        * Upped version numbers to 0.4.9, in respect to the current Official
	  release.. 

1999-01-09  Evan Lawrence <evan@worldpath.net>

	* src/commands.c:
	  src/gE_document.c: Fixed some conflicts between the autoindent cb
	  and the split-screen cb.

	* src/toolbar.c:
	  src/menus.c:
	  src/gE_prefs.c: Switched the gnome toolbars to use GnomeUIInfo
	  instead of gnome_app_set_toolbar...

1999-01-09  Evan Lawrence <evan@worldpath.net>

	* src/gE_document.c: The text widget grabs the focus when a new window
	  is created now.

1999-01-09  Evan Lawrence <evan@worldpath.net>

	* src/commands.[ch]:
	  src/gE_document.c: Switched the auto_indent callback to connect to
	  the insert_text signal instead of key_press_event - problems with
	  the notebook intercepting the signal vs. the keyboard accelerator's
	  not working should be fixed.

1999-01-08  Nat Friedman  <nat@nat.org>

	* src/menus.c: Added accelerators to the toggles.

1999-01-08  Nat Friedman  <nat@nat.org>

	* src/toolbar.c (tb_text_toggle_cb): New function for the new menu
 	toggle.
	(tb_pix_toggle_cb): Likewise.
	(tb_tooltips_toggle_cb): Likewise.
	(tb_relief_toggle_cb): Likewise.

	* src/menus.c: Add the search items to the Edit menu.
	Made "Show tabs" into a toggle item.
	(gE_set_menu_toggle_states): New function.

	Added hints to the tab menu.

	Changed all the items in the Settings menu to toggle items.  Moved
 	the Settings menu.

	* src/gE_document.c (gE_window_new): Call
 	gE_set_menu_toggle_states after we have got the settings.

	* src/menus.c: Removed the search menu.
	(add_callback_data): Change GE_DATA and GE_WINDOW for toggleitems
 	too.

1999-01-07  Nat Friedman  <nat@nat.org>

	* src/commands.c: Changed the signatures of the
 	file_saveas_destroy, file_cancel_sel, file_sel_destroy,
 	file_open_ok_sel, file_saveas_ok_sel, file_cancel_sel,
 	file_sel_destroy, and file_saveas_destroy event handlers.

1999-01-07  Nat Friedman  <nat@nat.org>

	* src/menus.c: Use the SETTINGS menu instead of OPTIONS.  Moved
 	Preference to SETTINGS, as dictated by the standard change.

1999-01-07  Nat Friedman  <nat@nat.org>

	* src/menus.c (gE_menus_init): Return a pointer to the menus.

	* src/menus.h: Make gE_menus_init return a GnomeUIInfo *

	* src/gE_document.c: #include "ge_prefs_box.h"
	(gE_window_new): Install the menu hints.

	* src/gE_prefs_box.h (gE_window_refresh): Added prototype to fix
 	warning.

1999-01-07  Nat Friedman  <nat@nat.org>

	* src/menus.c: Removed a spurious separator.  Moved Preferences to
 	the File menu where it belongs.  Use the
 	GNOMEUIINFO_MENU_ABOUT_ITEM macro.

1999-01-07  Evan Lawrence <evan@worldpath.net>

	* src/gE_document.c: Switched it to use a gnome_appbar.

1999-01-07  Nat Friedman  <nat@nat.org>
	
	* src/menus.c: Rearrange the separators to match the standard.

1999-01-06  Evan Lawrence <evan@worldpath.net>

	* src/commands.[ch]:
	  src/gE_document.c: Fixes to the return value of event handlers -
	  specifically, this fixes not having keyboard shortcuts in the gnome
	  version.

1999-01-07  Nat Friedman  <nat@nat.org>

	* src/menus.c: Pass three arguments to GNOMEUIINFO_MENU_NEW_ITEM,
 	and use the new PRINT_ITEM.
	
1999-01-06  Nat Friedman  <nat@nat.org>

	* src/menus.c: Ok, now use the new gnome-app-helpers.h
 	GNOMEUIINFO_MENU_ITEM macros instead.

1999-01-06  Nat Friedman  <nat@nat.org>

	* src/menus.c: Use the gnome-uidefs.h macros.  Added hotkey for
 	Save As.

1999-01-06  Nat Friedman  <nat@nat.org>

	* src/menus.c: Added menu accelerators to the File/ menu.

1999-01-05 Nat Friedman <nat@nat.org>

	* src/gE_document.c (gE_msgbar_clear): Return FALSE instead of
 	destroying the timeout from within its own callback.

	* src/gE_document.h: Change the return type of gE_msgbar_clear to
 	gboolean.

1998-12-30  Evan Lawrence <evan@worldpath.net>

	* src/gE_prefslib.c: Copy temporary file, instead of renaming, to
	  ~/.gedit...
	
1998-12-27  Alex Roberts <bse@dial.pipex.com>

	* Release 0.4.8

1998-12-21  Alex Roberts <bse@dial.pipex.com>

	* src/commands.c: Recent Documents wasnt calling the File menu as
	_File.. all fixed now.. no more menu warnings.. it still segfaults for
	me... argh...

1998-12-21  Alex Roberts <bse@dial.pipex.com>

	* src/gE_plugin_api.c: (add_plugin_to_menu) "Plugins" -> "_Plugins"..
	  no more Menu warnings... seems more stable now.. hrmm....

1998-12-19  Ville Pätsi <drc@zoo-gate.fi>
	* Added gnome-gedit.png 
	* Makefile.am added icon.

1998-12-17  Alex Roberts <bse@dial.pipex.com>

	* src/gE_prefs_box.c: Made the Gtk-Only dialog a more suitable size...
	
	* gedit.spec: Updated URL to current one.. ml.org is shutdown, no idea
	  how long home.ml.org will be up now...

1998-12-16  Evan Lawrence <evan@worldpath.net>

	* src/gedit.c: Ditched all the signal handling crap.

1998-12-16  Evan Lawrence <evan@worldpath.net>

	* xpm/tb*.xpm: Reduced all the toolbar xpms to 8 colors
	  apiece, to reduce the load time.

	* src/toolbar.c: Further cleanups to the toolbar code, getting
	  it to resize properly, etc.

	* src/gE_prefslib.c: Fixed one or two bugs in it. I forget
	  what they were ATM :)

	* src/gE_prefs_box.c: Fixed it so the OK button works properly in
	  the GTK-only version now.

	* THANKS: Added Christopher (raistlinn) to it, for his help
	  yesterday.

	* gedit.spec: Updated this for 0.4.8.

	* src/gE_document.c: Bug fixes so the prefernces load properly in
	  the gnome version now. Also fixed some resize problems that were
	  bugging me in the gtk-only version.

	* src/commands.c: Another bug fix, this time to keep the recent
	  documents from overwriting Exit... This was a bug I introduced in one
	  of my recent commits.

1998-12-15  Alex Roberts <bse@dial.pipex.com>

	* gedit.keys: new file, for mime stuff...

1998-12-13  Evan Lawrence <evan@worldpath.net>
	
	* src/commands.c:
	  src/gE_document.c:
	  src/gE_files.c:
	  src/gE_prefslib.c
	  src/gedit.c:
	  src/search.c: Fixed mem leaks, free mem reads, etc that yosh
	  found with purify. Thanks man! :) There are still some mem leaks
	  in plugin.c, and gE_plugin_api.c that Chris and I, respectively,
	  need to fix.  If people could test the changes out to verify
	  I didn't break anything, that would be great.

Sat Dec 12 21:08:14 PST 1998 Manish Singh <yosh@gimp.org>

	* src/plugin.c: correct off-by-one error in argv[0] allocation

1998-12-12  Evan Lawrence <evan@worldpath.net>

	* src/commands.c: Fixed bug wherein the first window would be hidden
	  when you tried to close the second one.
	
	* src/menus.c: Changed File->Quit to File->Exit to be SG compliant.
	
	* KNOWNBUGS: Updated it to reflect recent changes.

1998-12-11  Evan Lawrence <evan@worldpath.net>

	* src/commands.c:
	  src/search.c:
	  src/gE_print.c: Fixed up some dialogs to use gnome_dialog if gnome
	  is being used.
		
	* src/gE_prefs_box.c: Fixed it so changes to the font take effect on
	  *all* documents in the current window, not just the current document.

	* src/msgbox.c: Fixed it up to use normal text widget routines to truncate
	  the msgbox, and not do weird internal crap. Speaking of which, we should
	  probably phase out the msgbox RSN, since it doesn't seem to have much of
	  a purpose.
  
1998-12-10  Evan Lawrence <evan@worldpath.net>

	* src/search.c:
	  src/search.h:
	  src/gE_document.c: Added the function count_lines_cb, and
	  changed it so the line button on the status bar calls it instead
	  of goto_line_cb. count_lines_cb displays the number of lines in
	  the current document, and the current line number the cursor
	  is on.

	* src/menus.c: Added "Search for Line..." to the Search menu, and
	  added the _'s to main items on the menu bar to allow for keyboard
	  navigation. _This will probably break some internationalization_

1998-12-07  Evan Lawrence <evan@worldpath.net>

	* src/gE_files.c:
	  src/commands.c: Fixed some more stuff with the titlebar..
	* src/gE_document.c: Removed the Line indicator label, since it
	  doesn't display the correct line number.
	* src/gE_about.c: Fixed the gnome version.
	* src/gE_plugin.h:
	  src/gE_plugin_api.c: Mostly caught up to Chris's additions to
	  the plugins api - set_selected_text, get_selected_text,
	  get_point, etc... This means that Test Selection works now :)
	* README: Did some editting on it - changed the stuff that was
	  innaccurate or didn't make sense.. 
	
1998-12-05  Alex Roberts <bse@dial.pipex.com>

	* src/commands.c: Tried to remove the weird code that makes the gEdit
	  window hide when you Quit and there are modified files, it was very
	  disorientating.. to me at least... still something wrong with it
	  though (the window moves if you click cancel)...

1998-12-05  Alex Roberts <bse@dial.pipex.com>

	* plugins/browse: new, Web Browser, plugin; using Lynx...
	
1998-11-29  Alex Roberts <bse@dial.pipex.com>

	* src/main.h:
	  src/gE_document.c:
	  src/gE_prefslib.c:
	  src/gE_prefs.c:
	  src/gE_prefs_box.c: Implemented Scrollball and Split-Screen in the
	  preferences dialog... Split Screen can now be properly turned on and
	  off, unlike in previous times...

1998-11-27  Evan Lawrence <evan@worldpath.net>

	* src/gE_document.c: Fixed it so the titlebar displays
	  the filename, then GEDIT_ID, not the other way around.

	* src/commands.c: Added accelerators for keyboard navigation
	  to the Recent Documents list in the File menu.

	* src/toolbar.c: Some minor tweaks to the relieved toolbars in the
	  GTK-only version.

	* src/gE_prefs_box.c: Added frames and other such niceties to make
	  the dialog look a little more appealing.

	* src/search.c: Fixed some bugs that have been bugging me - it no
	  longer erases the previous search string unless you've actually
	  switched to another mode (text vs. line), and, when Searching 
	  (not Search and Replacing) it will act as though you clicked OK
	  when you press enter.

	* src/main.h: Added another #define for WITHOUT_GNOME to do with
	  internationalization.

	* xpm/tb_prefs.xpm: Fixed it so it's transparent.

Thu Nov 26 19:30:08 EST 1998 Gregory McLean <gregm@comstar.net>

	* src/gE_files.c : clist updates to bring into sync with gtk 1.1.5

1998-11-19  Evan Lawrence <evan@worldpath.net>

	* src/gE_prefslib.c: More fixes to the prefs system - it
	seems to be working correctly now...

1998-11-18  Evan Lawrence <evan@worldpath.net>

	* src/menus.c: Ditched the foot menu - it's a great
	UI idea, but it needs to be done properly in gnome-app,
	and is just confusing people ATM
	
	* src/gE_prefslib.c: Fixed some things that had broken
	GTK-only prefs - it's still not perfect, but sorta kinda
	works now. Let me know specifics on what's wrong with it,
	if you can find any.

1998-11-15  Alex Roberts  <bse@dial.pipex.com>

	* src/gE_prefs_box.c: Prefrerences now work in non-Gnome
	  (it's taken me over 3 hours to get this damn thing to work!)..

1998-11-08  Chris Lahey  <clahey@umich.edu>

	* src/gedit.c (main): Switched to popt.

1998-10-31  Alex Roberts  <bse@dial.pipex.com>

	* Tidied up Make warnings... Clean build on all ports..

1998-10-29  Alex Roberts  <bse@dial.pipex.com>

	* Upped version numbers to 0.4.8 (in anticipation of next release)

1998-10-29  Alex Roberts  <bse@dial.pipex.com>

	* gE_document.c: When you change document, titlebar changes with the
	  filename...

1998-10-28  Alex Roberts  <bse@dial.pipex.com>

	* toolbar.c: Added Quit button...

1998-10-27  Alex Roberts  <bse@dial.pipex.com>

	* commands.c: (doc_changed_cb): Sets a visible reminder the file has
	  been modified (At last! I've really been meaning to do this ;)...

1998-10-25  Alex Roberts  <bse@dial.pipex.com>

	* gE_document.c: (gE_document_set_read_only): Changes File label to
	  show a visible reminder that the file open is Read-Only or not..
	  (**FIX-ME** This is kinda broke on Untitled files ;)...

1998-10-25  Alex Roberts  <bse@dial.pipex.com>

	* Fixed 'gEdit unable to compile with Gtk+ 1.0.x' bug.. Modified LOTS
	  of files.. mostly putting in '#ifdef GTK_HAVE_FEATURES_1_1_0' -
	  Please remember people.. If you add any Gtk+ 1.1.x ONLY things, 
	  please put in #ifdef GTK_HAVE_FEATURES_1_1_0, some people only run
	  Gtk+ 1.0.x, and dont want the hastle of using Gtk+ 1.1.x (and having
	  Gimp broken ;)...

1998-10-24  Alex Roberts  <bse@dial.pipex.com>

	- Bah... lets remember...
	* toolbar.c: (gE_create_toolbar): Checks preferences file for haveing
	toolbar buttons reliefed... if TRUE, sets RELIEF, if FALSE, does
	nothing..
	
	* toolbar.[ch]: tb_relief_on/tb_relief_off : new callbacks for menu
	
	* menus.c: Added tb_relief_on/off to Toolbar menu...
	
	- (Relief only works with Gtk+ 1.1.x)

1998-10-23  Martin Baulig  <martin@home-of-linux.org>

	* src/gE_plugin.c (load_library): Call g_module_make_resistent ().

	* src/gE_plugin.h (GE_PLUGIN_LOG_DOMAIN): Define to `gEdit-Plugin'.
	If included from a plugin, set G_LOG_DOMAIN to GE_PLUGIN_LOG_DOMAIN
	and include <gnome.h> after that.

	* src/geditrc: New file.
	* src/msgbox.c (msgbox_create): Change widget name and call
	gtk_widget_ensure_style () to load a style from the geditrc.

	* src/msgbox.c (log_handler): New static function.
	(msgbox_create): Call g_log_set_handler () to let non-fatal messages
	go to the message box.

1998-10-23  Martin Baulig  <martin@home-of-linux.org>

	* src/gE_plugin.h (gE_Plugin_StartFunc): New function typedef.
	(gE_Plugin): Added `start_func'. This is called to create a new
	instance of a plugin while the `init_func' is only called once
	when the plugin is loaded.

	* src/gE_plugin.c (gE_Plugin_Load): If the plugin is already loaded,
	call it's `start_func'. When first loading the plugin, we only call
	the `init_func' which is responsible for calling the `start_func'.

	* src/gE_plugin_api.c (gE_plugin_create_widget): Added GtkWidget **
	parameter to store the GtkContainer and return the docid.
	(gE_plugin_document_close): Fixed a bug to make this function
	actually work.

1998-10-22  Martin Baulig  <martin@home-of-linux.org>

	* configure.in (HAVE_LIBZVT): New automake conditional. This checks
	for libzvt from gnome-libs/zvt.

	* README.plugins: Added short notice about my new Shell plugin.

1998-10-22  Martin Baulig  <martin@home-of-linux.org>

	Plugins can now use the new gE_plugin_create_widget () function
	to create a document not having a GtkText but a GtkContainer widget
	so they can add an arbitrary child to it.

	* src/main.h (gE_document): Added `viewport', `split_viewport' and
	`split_parent'.

	* src/gE_document.c (gE_document_new): Set `doc->split_parent'.
	(gE_document_set_split_screen): Use `doc->split_parent', if this
	is NULL then we don't have a split screen.
	* command.c (options_toggle_split_screen_cb): Likewise.

	* src/gE_document.c (gE_document_new_container): New function.
	Since larger parts of gEdit rely upon the fact that `doc->text' and
	`doc->split_screen' are GtkText widgets, we need to create them here;
	we just add a newly created GtkViewport to the GtkTable instead of
	the GtkTexts ...

	* src/gE_plugin_api.c (gE_plugin_create_widget): This is a wrapper
	function for gE_document_new_container () that should be used in
	plugins.

	* src/gE_plugin.h (gE_plugin_create_widget): Added prototype.

1998-10-22  Alex Roberts  <bse@dial.pipex.com>

	* Makefile.am: Few file additions so the RPM would build...
	
	* gedit.spec: New File...

1998-10-18  Martin Baulig  <martin@home-of-linux.org>

	* src/gE_plugin_api.h: Move prototypes of all functions that
	gmodule plugins may use into gE_plugin.h and include this file here.
	
	* src/gE_plugin.h: To avoid problems with plugins accessing internal
	structures of gEdit, declare prototypes of "public" functions they
	can use here. Plugins should not use any function not declared in
	this file or in any file included from this file.

	* src/gE_plugin.c (gE_plugin_get_widget): New function. Returns
	the GtkText widget of the document.

1998-10-18  Martin Baulig  <martin@home-of-linux.org>

	Added option to toggle line wrapping in the Text Widget.
	
	* src/main.h (gE_document): Added `line_wrap'.
	* src/gE_document.c (gE_document_set_line_wrap): New function.
	* src/gE_plugin_api.h (gE_plugin_set_line_wrap): New function.

1998-10-15  Alex Roberts  <bse@dial.pipex.com>

	* gE_prefs.c:
	* gE_prefslib.c:
	* gE_document.c: (Various Functions): Default preferences, now work..
	
	* gE_prefs_box.c: Removed old Debug code (inserted #ifdef DEBUG's)...

1998-10-14  Martin Baulig  <martin@home-of-linux.org>

	* src/gE_plugin.h (gE_Plugin_Object): Removed `config_prefix', this
	is now identically with `config_path'.

1998-10-14  Martin Baulig  <martin@home-of-linux.org>

	Added some basic CORBA stuff. CORBA is only used in plugins, but
	we need to initialize it in the main program.
	
	* configure.in (--enable-orbit): New parameter to link with ORBit.
	If found, check for LibGnorba and define two (HAVE_OBIT) and
	(HAVE_LIBGNORBA) automake conditionals. Also AC_DEFINE(HAVE_ORBIT)
	and AC_DEFINE(HAVE_LIBGNORBA) if ORBit/LibGnorba is found.
	Only check for this if the GModule Plugins are enabled.

	* src/Makefile.am (CPPFLAGS): Define `_IN_GEDIT'.
	(gedit_LDADD): Link with ORBit and LibGnorba if they're found.

	* src/gE_plugin.c (gE_Plugin_Load): Pass the edit context to
	the plugin so that it can use the old plugin API as well.

	* src/gE_plugin.h: If we are not _IN_GEDIT, add `extern' declarations
	for the CORBA variables `global_orb', `root_poa', `root_poa_manager',
 	`global_ev' and `name_service' and a prototype for `corba_exception'.

	The following stuff is `#ifdef HAVE_LIBGNORBA':
	
	* src/gedit.c (corba_exception): New function which is used for
	CORBA error handling.
	(global_orb, root_poa, root_poa_manager, global_ev, name_service):
	New global variables which can be used in CORBA-aware plugins.
	(main): Initialize CORBA here.

1998-10-14  Alex Roberts  <bse@dial.pipex.com>

	* toolbar.c: Added shortcut to Preferences, new Toolbar button, Prefs..
	
	* xpm/tb_prefs.xpm: New File.. 'Borrowed' from Gnome Stock..
	
	* gE_prefs_box.c: Removed Font 'restart gEdit' label...
	
	* gE_prefs_box.c: (gE_prefs_dialog): Hmm, put get_prefs(data); 
	back in...
	
	* gE_prefs_box.c: (gE_window_refresh): Modified, so that it sets the
	font of the current document to the font set in the Preferences, 
	using this Function means it should also change the font in non-Gnome
	versions of gEdit, this doesn't change the font of ALL the docs open...
	
	* gE_document.c: (gE_document_new): Removed all 'rc' stuff, and
	added some style->font stuff, so it checks what the (gchar *)w->font
	is, and sets the document font to that (w->font is set in the
	Preferences dialog), if that value is NULL it sets to a default font
	of 12pt Courier (and also sets w->font to that)...
	
	* TODO: Some slight modifications, and i checked off the 'Immediate
	Font Changes'

1998-10-14  Martin Baulig  <martin@home-of-linux.org>

	Added GModule Plugins which are dynamically loaded into the
	running GEdit process. This has the advantage that the plugin
	can access Gtk and Gnome structures like widgets directly and
	we don't need to implement a rather complex interface.

	Look at plugins/gmodule_plugin_howto for details about this
	plugin interface.

	* configure.in (--with-gmodule-plugins): New parameter to
	enable the new GModule Plugins. Disabled by default. If
	enabled, AC_DEFINE(WITH_GMODULE_PLUGINS).
	(WITH_GMODULE_PLUGINS): New automake conditional.

	Changes to existing code:
	
	* gE_plugin_api.c (start_plugin): Call gE_Plugin_Load () for
 	plugins of type PLUGIN_GMODULE.

	* plugin.h (PluginType): Added `PLUGIN_GMODULE'.
	(plugin_info): Added `user_data' which is a gpointer.

	* gedit.c (prog_init, main): Call gE_Plugin_Query_All ().

	Newly added files:

	* gE_plugin.h: This is installed in `$(includedir)/gedit' and is
	included both in GEdit and the plugins.
	(gE_Plugin_Info): New struct typedef.
	(gE_Plugin_Object): New struct typedef.

	* gE_plugin.c (gE_Plugin_Query_All): This is used to read all plugin
	description files and add the plugins to the Plugins menu.
	(gE_Plugin_Query): Query a single plugin and call gE_Plugin_Register
	on it, but do not load it into memory.
	(gE_Plugin_Register): This sets up a plugin_info structure for the
	plugin ans calls gE_plugin_program_register () so it will be added
	to the Plugins menu.
	(gE_Plugin_Load): Actually read a plugin into memory and call its
	init function.

1998-10-13  Martin Baulig  <martin@home-of-linux.org>

	* src/plugin.h (plugin_document_callbacks): Added
	`set_auto_indent', `set_status_bar', `set_word_wrap',
	`set_read_only', `set_split_screen' and `set_scroll_ball'.

	* src/gE_plugin_api.c: Added new functions
	`gE_plugin_set_auto_indent', `gE_plugin_set_status_bar',
	`gE_plugin_set_word_wrap', `gE_plugin_set_read_only',
	`gE_plugin_set_split_screen' and `gE_plugin_set_scroll_ball'.

1998-10-13  Martin Baulig  <martin@home-of-linux.org>

	* src/gE_document.c (gE_window_set_auto_indent): New function taking
	a gE_document * and a gint indicating whether to enable auto indent.

	* src/command.c (auto_indent_toggle_cb): Call the new
	`gE_window_set_auto_indent' function.

	Moved callback functions from the `Options' menu into command.c
	and called them `options_toggle_*_cb'. They call `gE_document_set_*'
	functions in gE_document.c which provide the functionality the
	callbacks formerly had.

	This means we can more easily use the functionality of the menu
	callbacks to turn things on and off.

	* src/gE_document.c (gE_window_toggle_statusbar): Moved functionality
	of this function into new `gE_window_set_status_bar'.
	(gE_window_set_status_bar): New function taking a gE_window * and
	a gint indicating whether to show or to hide the statusbar.
	(gE_document_toggle_wordwrap): Moved functionality of this function
	into new `gE_document_set_word_wrap'.
	(gE_document_set_word_wrap): New function taking a gE_document * and
	a gint indicating whether to turn word wrap on or off.
	(gE_document_set_readonly): Renamed to `gE_document_set_read_only'.
	(gE_document_set_read_only): Renamed from `gE_document_set_readonly'.
	(gE_document_toggle_readonly): Moved to command.c and renamed to
	`options_toggle_read_only'.
	(gE_document_toggle_scrollball): Moved functionality of this function
	into new `gE_document_set_scroll_ball'.
	(gE_document_set_scroll_ball): New function taking a gE_document *
 	and a gint indicating whether to show or to hide the scrollball.
	(gE_document_set_split_screen): New function taking a gE_document *
 	and a gint indicating whether to enable or disable the split screen.

	* src/command.c (options_toggle_split_screen): Renamed to
	`options_toggle_split_screen_cb'.
	(options_toggle_split_screen_cb): Renamed from
	`options_toggle_split_screen'.
	(options_toggle_scroll_ball_cb): New callback function calling
	`gE_document_set_scroll_ball'.
	(options_toggle_word_wrap_cb): New callback function calling
	`gE_document_set_word_wrap'.
	(options_toggle_status_bar_cb): New callback function calling
	`gE_document_set_status_bar'.

	* src/menus.c: Call the new `options_toggle_*_cb' functions in
	command.c rather than using the `gE_document_*' ones directly.

1998-10-13  Martin Baulig  <martin@home-of-linux.org>

	* src/main.h (gE_document): Added `read_only' flag.

	* src/gE_document.c (gE_document_set_readonly): New function.
	This is the user-level function to make a document readonly; it
	keeps track of the splitscreen.
	(gE_document_toggle_readonly): New function. This is used in the
	menu callbacks and calls gE_document_set_readonly ().
	(gE_document_new): Initialize the `read_only' flag to FALSE.

	* src/gE_files.c (gE_file_open): Use access () to check whether you
	have write permission to the file and make the document readonly
	if not.

	* src/menus.c: Added new `Options/Toggle Readonly' menu item.

1998-10-13  Martin Baulig  <martin@home-of-linux.org>

	* src/gE_plugin_api.c (start_plugin): Don't set
	`callbacks.document.open' and `callbacks.document.close'
 	to NULL.

1998-10-09  Alex Roberts  <bse@dial.pipex.com>

	* src/gE_prefs_box.c: Whee! The preferences box actually opens again
	  in Gnome version (it does open in non-Gnome right?)

1998-10-03  Chris Lahey  <clahey@jennifer.reshall.umich.edu>

	* src/gE_plugin_api.c: Added functionality for insert.
	
	* src/plugin.c, src/plugin.h: Rewrote plugin.c to not use
	threads and still be robust and expandable.

1998-09-23  Chris Lahey  <clahey@umich.edu>

	* src/plugin.c (plugin_parse): Set up plugin_parse to better
	handle plugin crashes.  Fixed an overwrite bug that probably
	wouldn't have manifested but deserved to be fixed.

	* src/gedit.c: Added some bizarre includes to get rid of some
	warnings.  Called gdk_threads_leave after gtk_main returned, but
	it probably doesn't matter.

1998-09-23  Chris Lahey  <clahey@umich.edu>

	* src/plugin.c (plugin_parse): Fixed an overwrite bug.

	* README.plugins (Encrypt): Fixed a typo.

1998-09-22  Chris Lahey  <clahey@umich.edu>

	* configure.in: Added plugins/client/Makefile and
	plugins/testselect/Makefile.

1998-09-22  Chris Lahey  <clahey@umich.edu>

	* src/plugin.c, src/plugin.h: Copied from go.  Big changes.  Threaded now.

	* src/gedit.c (setup_callbacks): Added setup_callbacks to put all
	callback initialization in one place.
	: Used the new function everywhere.
	(main): Added thread initialization code.

	* src/gE_plugin_api.c (gE_plugin_program_register): Initialized
	suggested_accelerator to NULL just to make sure that nothing goes
	wrong.

	* src/commands.c: Changed include orders to get it to compile.

1998-09-21  Alex Roberts  <bse@dial.pipex.com>

	* msgbox.c: Fixed sigsegv... something wrong with:
	  gtk_adjustment_set_value(GTK_ADJUSTMENT(text->vadj), value);
	  Does anyone actually use the MessageBox?!
	
	* Fixed so anyone using gtk+ >1.0.5 will pass the configure script
	  (but it won't fully compile, someone has left all glib 1.1.x stuff in
	  which is incompatible with 1.0.x!! ack...)

1998-09-17  Alex Roberts  <bse@dial.pipex.com>

	* gE_prefs_box.c: Hurrah! The prefs dialog box displays in non-Gnome,
	  now to actually get it to work properly ;)

1998-09-12  Alex Roberts  <bse@dial.pipex.com>

	* gE_prefs.c:
	* gE_prefs_box.c: Fixed Font selection bugs...
	

1998-09-12  Alex Roberts  <bse@dial.pipex.com>

	* TODO: Updated with new Prefs Dialog info...

	* menus.c:
	* gE_prefs_box.[ch]: Implemented New preferences Dialog (Gnome only)...
	

1998-09-10  Alex Roberts  <bse@dial.pipex.com>

	* TODO: Minor updates.... btw, wtf is Andy?!
	* gE_prefslib.c: Stopped sigsegv on my system...

1998-09-07  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (plugindir): Move into $(libdir).
	* src/Makefile.am (plugindir): Likewise.

1998-09-02  Evan Lawrence <evan@worldpath.net>

	* Added the gE_prefslib.[ch] files to cvs. They provide functions for
	  settings preferences for both gnome and gtk versions of gedit...

	* Still todo is create the preferences dialog, and add prefs for split
	  screen, the scrollbar, etc...

1998-09-02  Alex Roberts  <bse@dial.pipex.com>

	* commands.c: Semi-Fixed the Read-Only file thing... 
	  A message pops up on the statusbar explaining its Read-Only, then
	  a SaveAs box pops up! whee!....

1998-08-27  Alex Roberts  <bse@dial.pipex.com>

	* gE_about.c: Fixed gEdit homepage URL...
	* gedit.c:
	* toolbar.c: Removed annoying Debug code...

1998-08-26  Alex Roberts  <bse@dial.pipex.com>
	
	* toolbar.c: Removed occerences of Document List window Toolbar 
	  settings (This was making gEdit sigsegv: Gdk-window: sigsegv..)...
	  
1998-08-26  Martin Baulig  <martin@home-of-linux.org>

	* configure.in: Define `WITHOUT_GNOME' if we don't have GNOME.
	(--disable-gnome): Command line parameter to let user disable GNOME.
	(WITH_GNOME): New automake conditional.
	* acconfig.h (WITHOUT_GNOME): New tag.

1998-08-24  Alex Roberts <bse@dial.pipex.com>

	* Converted gEdit's source tree into its own Gnome/CVS module...

1998-08-23  Alex Roberts <bse@dial.pipex.com>

	* Separated plugins into their own directories

Sat Aug 22 14:33:49 MET DST 1998  Jochen Friedrich <jochen@scram.de>

	* commands.c, gE_files.c: replaced basename() by g_basename().

Thu Aug 20 20:25:57 1998  Owen Taylor  <otaylor@redhat.com>

	* Restored gtk_widget_grab_focus's, because they seem
	  to work now. (if you update to the latest CVS GTK+)

	* For !WITHOUT_GNOME, don't create the toolbar handlebox
	  ourselves, since gnome-app-helper creates it. Obey
	  the ui_properties setting with respect to toolbar
	  relief.

1998-08-18  Evan Lawrence <evan@worldpath.net>

	* Disabled several gtk_text_grab_focus's until I can figure out why
	  recent changes in gtk cause gEdit to crash.. Owen?

1998-08-1?  Evan Lawrence <evan@worldpath.net>

	* Fixed the recent-list to remove duplicate entries...

	* Added Martin Wahlen's spell-checking plugin to CVS.. We need to
	  add some plugin functions to the API for him, but what's he's got
	  looks great...

	* Committed Dan's latest modifications to the scrollball widget...

1998-08-13  Chris Lahey  <clahey@umich.edu>

	* gE_document.c: 
	* gE_plugin_api.c: 
	* gedit.c: 
	* gE_init.c: 
	* commands.c:
	Got rid of most of the GINT_TO_POINTER and GPOINTER_TO_INT calls.

1998-08-13  Evan Lawrence <evan@worldpath.net>

	* Following Chris's instructions, made an initial attempt at making the plugins
	  api 64 bit clean...

1998-08-12  Evan Lawrence <evan@worldpath.net>

	* Committed Andy's patch, after making the neccassary modifications
	  to get it to compile for the gnome version...

	* Got a new (better) version of the scrollball widget from Daniel
	  Dunbar, and committed that...

1998-08-11  Andy Kahn <kahn@zk3.dec.com>

	* remove "#include "plugin.h" from main.h because the whole world
	doesn't need it.  include it only where needed.

	* gE_prefs.[ch]: cleanup.  drop a ton of unneeded cruft.  pretty print.

	* gE_document.c: cleanup gE_window_new().

	* menus.c: (non-Gnome) simplify and drop unnecessary code.  no sorry,
	menu accelerators still don't work.

	* diff.c: drop erroneous printf's.

	* put evan's scrollball menu option in ifdef's for non-Gnome.

	* rename all *_callback routines to *_cb.

	* lots of other misc changes as a result of the above changes...

1998-08-10  Evan Lawrence <evan@worldpath.net>

	* Committed Andy's patch (we do care Andy ;-)

	* Added Toggle Scrollball option to the options menu...

1998-08-10  Andy Kahn <kahn@zk3.dec.com>

	* rewrite and improve popup-menu-on-right-mouse-click.  specifically:

		- drop gE_text_popupmenu from main.h.  there is no good reason
		to be storing every widget used to make the popup menu.  all
		that is needed is a pointer to the top-level menu widget.

		- make all the popup menu routines private only within
		gE_document.c because they're never used anywhere else.

		- use a table to generate the menu instead of individually
		adding each one (eliminate repetitive code).

		- when swapping .c and .h files, now swaps .cpp files and
		handles upper/lower case too (e.g., swap .H and .C).

	* menus.c: add ifdef GTK_HAVE_FEATURES_1_1_0 for the split-screen
	menu entry.

	* gE_document.c: code cleanup, reindendation.

	* gE_files.c: drop unused variables from gE_file_open().

	* rename file_open_in_new_win_cmd_callback to file_open_in_new_win_cb.
	it's still a long name, but not ridiculously long. :)

	* add dialog.[ch] to GTK.Makefile.am

	* fix indendation in ChangeLog.

1998-08-09  Evan Lawrence <evan@worldpath.net>

	* Added "Open in new window" to the right-click popup-menu that calls
	  file_open_in_new_win_cmd_callback, so that now you can be editting
	  a file and immediately switch it over to its own window - will also
	  help for when we implement DND to the desktop...

	* Implemented (slightly buggy) split-screen support for users with gtk
	  1.1 - still needs proper prefs implemented, as it's always on at
	  startup now...

1998-08-08  Evan Lawrence <evan@worldpath.net>

	* Committed Andy's patch below, after making the neccassary
	  modifications to the toolbar routines to get the gnome version to
	  work, and removed the plugin changes per Chris's request - he made
	  some changes today that weren't taken into account in the patch...

	* Added the patch from Mikael Hermansson that creates a popup menu
	  when you right click on the text widget, after I moved a couple
	  items around to (I hope - this is debatable) more logical position,
	  and added a couple more functions (Save and Print.) Also added the
	  proper internationalization support for the gnome version...

1998-08-08  Andy Kahn <kahn@zk3.dec.com>

	* generalize popup dialog boxes by using a common routine.  currently,
	the search/replace popup, the save-file-on-close popup, and the
	save-file-before-printing popup, use this.

	* improve print routine to be more intelligent and not have to always
	create a temporary file.

	* for non-Gnome version, add floating menubar.  whee

	* moved all search routines out of commands.[ch] to search.[ch].

	* change all assert() statements to g_assert().

	* include plugin patch to cleanup compiler warnings that Alex included
	for 0.4.5, but forgot to commit into cvs.

	* update TODO list

	* new files: dialog.[ch], search.[ch].

	* main.h: drop unused from gE_window struct.  change some gint fields
	back to gboolean, because that's what they are.  add toolbar field
	to gE_window for files_list_window so that main toolbar options
	(on/off, pic/text/both, etc.) also affect the toolbar for the files
	list window.

	* gE_files.c: fix bug where doing a Save after a Save-As would result
	in a bogus filename.

	* toolbar.c: minor code cleanup, including use boolean defs TRUE/FALSE
	instead of 1/0.  i had these here before (see 1998-07-13 entry), but
	alex changed them back to 1/0.

1998-08-08  Chris Lahey  <clahey@umich.edu>

	* plugin.c: Fixed #include ordering.

1998-08-07  Evan Lawrence <evan@worldpath.net>

	* Made some changes to the way close_execute works, so we could
	  use it in the document_close plugins api.

	* Broke recent-documents. I was trying to fix it so it wouldn't show
	  duplicates of the same document, but screwed some stuff up in the
	  algorythm - nothing real bad, just doesn't work quite right. The
	  reason I'm committing this is so I could commit the above changes..

	* Added the proper api to plugin_document_open and plugin_document_close
	  and had to make a minor modification of close_doc_execute to
	  incorporate them...

	* Temporarily added a gtkscrollball widget immediately above the
	  scrollbar, per Dan Dunbar's request - this is all part of my quest
	  for world domination...

	* Temporarily added a foot/program menu, so as to give the gnome-gui
	  guys something to play with...

1998-08-06  Chris Lahey  <clahey@umich.edu>

	* plugin.h: 
	* plugin.c (process_next): 
	the plugin_document_close function is now required to return a
	bool based on whether the document actually closed.  Returns TRUE
	if the plugin actually closed.
	* plugin.c: Added a document_close function to the API.

1998-07-31  Andy Kahn <kahn@zk3.dec.com>

	* fix three bugs reported by Mikael Hermansson:

	    1. opening a file that doesn't exist from the command line
	    results in seg fault.

	    2. doing "Save As" with a new filename results in subsequent
	    "Save" commands failing.

	    3. if quitting gedit and a changed file has not been saved,
	    selecting "Cancel" on the yes/no/cancel save dialog box results
	    in the original window disappearing and never coming back.

	* fix for bug reported by Marin Purgar, where if PLUGINDIR did not
	exist, readdir() causes a segv (e.g., on Linux).

1998-07-29  Alex Roberts  <bse@dial.pipex.com>

	* Fixed the preferences routines, that had been mysteriously broken,
	  without even a word in this ChangeLog...!

1998-07-29  Evan Lawrence <evan@worldpath.net>

	* Got recent documents working for the gnome version.. Currently you can
	  change the # of documents it displays by redefining the  MAX_RECENT
	  variable.. The default is 4, per the style guide..

1998-07-27  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* main.h: check for #defined GTK_HAVE_FEATURES_1_1_0 instead of
	GTK_HAVE_ACCEL_GROUP.

1998-07-26  Evan Lawrence <evan@worldpath.net>

	* Committed Andy's patch below, and made the necassary modifications
	  to the gnome version - I also moved New Window and Close Window
	  into, logically, the Window menu...

	* Wrote up a TODO file of some of the things I'd like to get done, most
	  of them before 0.5.0...
	
	* After modifying the gnome Makefile.am to reflect Andy's changes,
	  I added his actual Makefile.am as GTK.Makefile.am, so any new gtk-only
	  developers don't have to hack their own..

	* Renamed the plugins_README to README.plugins on CVS...

1998-07-25  Andy Kahn <kahn@zk3.dec.com>

	* add a popup window to show files/document list.  includes its own
	mini-toolbar, to let you print/open/save a file shown in the list.
	doc list auto-updates as you open/close/rename files.

	* implement new read/write file algorithms, which should
	read/write large(r) files a LOT faster.

	* add a "Close All Files" command.

	* rework and modularize a lot of code.  consequently, closing
	files/docs and windows, especially if you have a lot files open,
	will "appear" a lot faster now.

	* add message box popup window.  you can see a "log" of gedit
	messages.  e.g., which files were opened, closed, saved, etc.

	* new files: msgbox.c, msgbox.h, xpm/tb_exit.xpm

1998-07-21  Alex Roberts  <bse@dial.pipex.com>

	* Added Evan's email plugin to plugins_README...
	
	* Added a notice in plugins/plugin_howto to add the plugin details
	  to plugins_README (I don't really want to add them myself!)...
	  
	* Fixed Evan's previous addition to ChangeLog...

1998-07-21  Evan Lawrence <evan@worldpath.net>

	* Added the email plugin - it currently grabs the text out of the
	  document, instead of requiring you to save the file first - this
	  does however mean it's affected by the problem in the plugins api
	  wherein not all of the text is grabbed...
	  
	* Fixed the gtk version of the toolbar so it resizes properly when
	  you switch to text/pic only...
	
1998-07-20  Alex Roberts  <bse@dial.pipex.com>

	* Added plugins_README: information on the current plugins included
	  with gEdit...

1998-07-18  Chris Lahey  <clahey@umich.edu>

	* plugin.h: 
	* plugin.c: Copied the latest versions of these from my copy of
	go.  Lots of changes to increase robustness.

	* gedit.c (parse_an_arg): Added argument parsing code.

1998-07-18  Chris Lahey  <clahey@umich.edu>

	* gE_plugin_api.c (add_plugin_to_menu): Fixed a problem with
	plugin insertion if using a language other than English.

1998-07-17  Andy Kahn <kahn@zk3.dec.com>

	* rework and improve the print routine:
		- rename _file_print() to file_print_execute()
		- creates temporary file a *lot* faster now (dumps all the
		text in one swell foop instead of one character at a time)
		- deletes the temporary file
		- drop a lot of excess/unnecessary variables
		- add a small note that code was borrowed from gIDE
		- misc code cleanup
		- more todo: see file_print_execute() comments in code

	* add a toolbar handle, so you can have floating toolbars.  whee

1998-07-16  Alex Roberts  <bse@dial.pipex.com>

	* Fixed printing in non-Gnome
	
	* Moved all plugins (and client.[ch]) into plugins/
	  All new plugins must be placed there...
	
	* Added Encrypt/Decrypt plugins... Using ROT13 to encrypt
	  and Caesar to decrypt...

1998-07-15  Evan Lawrence <evan@worldpath.net>

	* Added plugin_program_quit to the plugins api...

	* Fixed main.h file so toolbar.c doesn't give an error about
	  the struct not containing some things..

1998-07-15  Alex Roberts  <bse@dial.pipex.com>

	* Fixed hello.c: Now works with the current Plugin API! :)
	
	* Print functions work perfectly now (hopefully, i don't
	  have my printer set up properly), and save the print command
	  for the next session of gEdit.

1998-07-14  Alex Roberts  <bse@dial.pipex.com>

	* Put all Print specific functions, etc, into gE_print.h

	* Started implementing new Print functions, bewarend, it sigsegvs!

1998-07-13  Alex Roberts  <bse@dial.pipex.com>

	* Implemented Pixmaps only, Text only, or Both to the 
	  toolbar on start up...
	  
	* Modified homepage URL in the About box...
	
	* Upped version to 0.4.5, for next official release...
	
1998-07-13  Evan Lawrence <evan@worldpath.net>

	* The previous changes to the gnome menu code broke the
	  menus for multiple windows.. Fixed that..

1998-07-13  Andy Kahn <kahn@zk3.dec.com>

	(all changes are not Gnome specific)

	* fix "blinky" label in the about box (gtk-only version).  cleanup
	  and simplify gE_about.c.

	* for now, include pixmap file/description directly into code as
	  default pixmap for toolbar.

	  (new files: xpm/tb_cancel.xpm, xpm/tb_copy.xpm, xpm/tb_cut.xpm,
	  xpm/tb_edit.xpm, xpm/tb_help.xpm, xpm/tb_new.xpm, xpm/tb_open.xpm,
	  xpm/tb_paste.xpm, xpm/tb_print.xpm, xpm/tb_save.xpm,
	  xpm/tb_search.xpm)

	  TODO: allow user configurable path (saved in ~/.gedit) to load
	  user-prefered toolbar pixmaps.

	* for the statusbar label: add gE_msgbar_XXX() routines to manipulate
	  the label.  remembers last label printed and auto-clears the label
	  after a small timeout.

	* cleanup main.h:
	  	- drop unneeded includes.
		- for WITHOUT_GNOME, define auto_indent, show_tabs,
		show_status, and have_toolbar to be gboolean's instead of
		gint's.  define tab_pos to be GtkPositionType instead of gint.
		- move all function prototypes to their respective .h files.
		(new files: gE_about.h, gE_document.h, gE_files.h)

	* where applicable:
		- use GTK_TOP_{TOP,BOTTOM,LEFT,RIGHT} for notebook tab
		positioning instead of directly using the numeric values.
		- use boolean defs TRUE/FALSE instead of 1/0.
		- drop variable Ctime.  use GDK_CURRENT_TIME instead.
		- include new .h files as needed.
		- use gE_msgbar_XXX() routines as needed.
		- add GPL notice, drop unused, cleanup prototypes.

	* other misc changes (these should go into the log entry for each file
	  when checked into CVS, but we're not doing that too well, so...) :
	  gE_document.c:
		- move destroy_window() to here.  rename to gE_destroy_window().
		- make notebook_switch_page() static.
		- move gE_show_version() to gedit.c
	  gedit.c:
	  	- include new .h files as needed.  drop unused cruft.
		- move gE_show_version() (now static) here.
		- move destroy_window() to gE_document.c.  rename to
		gE_destroy_window().

1998-07-12  Evan Lawrence <evan@worldpath.net>

	* Made corrections to gnome menu code to get it to compile
	  properly with -Wall and -ansi - you still get warnings though
	  due, I think, to gnome's general handling of menus.

	* Fixed it so you can no longer open directories as files -
	  now it switches to that directory like it should.. Also
	  removed file op buttons in the open fileselector, since
	  they're not needed and get in the way..

	* Removed the gtk_idle_add used in command-line loading, so
	  you can load more than one file correctly now..

	* Committed Andy's cool patch below that fixes up a lot of stuff..

1998-07-11  Andy Kahn <kahn@zk3.dec.com>

	(all changes are not Gnome specific)

	* modularize code: move function prototypes for routines in
	  commands.c from main.h into commands.h (new file).
	  include commands.h where needed.  still more to be done...

	* tons of code cleanup to remove compiler warnings.

	* menus.c : restructure entire file for cleaner code.  Gnome
	  and non-Gnome code completely separated.  move menus_items to
	  be a global variable and not contain any references/pointers
	  to parameters passed into menus_init().  this should be done
	  for the Gnome version as well.

	* add "-Wall -ansi -pedantic' to Makefile.am.  this should really be
	  automatically added to CFLAGS if GNU C is detected.  is this a
	  configure.in (autoconf) option?

	* reformatted some entries in ChangeLog file.

1998-07-10  Evan Lawrence <evan@worldpath.net>

	* New document tabs are automatically switched too now..

	* Changed the statusbar so it's actually a gtk_label,
	  instead of a gtk_statusbar, to fix a mem leak..

1998-07-10  Evan Lawrence <evan@worldpath.net>

	* I *think* I fixed all the bugs I added in my previous commit...

1998-07-08  Chris Lahey  <clahey@umich.edu>

	* menus.c (gE_menus_init): Added some example code relating to an
	  idea I have about configurability.

	* menus.c (gE_menus_init): Made it so that there wasn't a
	  separator at the bottom of the plugins list.

1998-07-08  Evan Lawrence <evan@worldpath.net>

	* Made some changes to the gtk-only automatic plugin detection,
	  although it's still broken.
	
	* Disabled the CAN_FOCUS flag on the scrollbar, line number button,
	  and notebook tabs (On Chris's suggestion) - makes editting
	  much smoother..
	
	* While I was at it made it so the titlebar changes to reflect the
	  current document tab selected.

1998-07-08  Chris Lahey  <clahey@umich.edu>

	* gE_plugin_api.c (add_plugin_to_menu): Fixed the menus to display
	  correctly.

1998-07-08  Chris Lahey  <clahey@umich.edu>

	* plugin.c (plugin_query_all): Synced up changes from go to have
	  it not detect "." and ".." as plugins.

	* gE_plugin_api.c (add_plugin_to_menu): Added a second GnomeUIInfo
	  to be the GNOME_APP_UI_ENDOFINFO entry.

1998-07-07  Evan Lawrence <evan@worldpath.net>

	* Some changes to the gtk-only menu code, and started
	  on automatic plugin detection...

1998-07-02  Chris Lahey  <clahey@umich.edu>

	* client.h: Added stuff to support using client.h in a C++ file.

	* plugin.h: 
	* plugin.c (plugin_new_with_query): 
	* client.c (client_init):
	  Added stuff to better support passing parameters to plugins.

1998-07-02  Chris Lahey  <clahey@umich.edu>

	* reverse.c:
	* cvsdiff.c: 
	* diff.c: Added registration stuff.

	* plugin.c:
	* plugin.h:
	* client.h: 
	* client.c: Added stuff to do querying.  Also added a quit program
	  function.

	* gE_document.c: 
	* Makefile.am: Made plugins install to a different directory.

1998-07-01  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* gedit.desktop: Added Portuguese translation.

1998-06-30  Chris Lahey  <clahey@umich.edu>

	* main.h:
	* reverse.c (main): New file
	* Makefile.am (reverse_plugin_SOURCES): 
	* gE_document.c (start_reverse): 
	  (start_plugin): 
	  (start_cvsdiff): 
	  (start_reverse): Added reverse plugin.  Also simplified the code
	  at the end of gE_document.c a bit.
	  Made gedit aware of where plugins are installed.

	* plugin.c :
	* plugin.h :
	* client.c :
	* client.h :
	* reverse.c :
	* diff.c :
	* cvsdiff.c : A few new plugin functions.

1998-06-28  Evan Lawrence <evan@worldpath.net>

	* Fixed bug I added in my last change that caused gedit to sigsegv when
	  you closed the window via the window manager.

	* Added a seek_to_line function that will jump the scrollbar to a
	  specified line, to speed up searches, that kind of thing that
	  previously crawled to the proper position.
	
	* Fixed other minor bugs in searching...

1998-06-28  Alex Roberts  <bse@dial.pipex.com>

	* Removed instances of main_window from gE_file_open and gE_file_save,
	  and fixed the functions to match with their definitions in main.h...

1998-06-26 and 27  Evan Lawrence  <evan@worldpath.net>

	Sifted through all the code and removed all instances of the global
	main_window variable, replacing them with either a gE_window pointer
	or a gE_data pointer. Also added functions to open and close other
	windows, so you don't have to run a separate copy of gedit - still to
	be added are functions to move documents between windows, etc.
	
1998-06-26  Chris Lahey  <clahey@umich.edu>

	* Makefile.am : 
	* main.h :
	* gedit.c : 
	* gE_document.c (gE_window_new): Plugins are now compiled in by
	  default.  Dropped the hello-plugin.

	* configure.in: Checks for gedit.c instead of menus.c.  More unique.

	* plugin.c (process_command): 
	  (plugin_finish): File descriptors for plugins are now freed and
	  gedit doesn't leave zombie processes.

1998-06-26  Chris Lahey  <clahey@umich.edu>

	* plugin.h: 
	* plugin.c (process_command, plugin_register, process_next): 
	  A bit of plugin API expansion.  Broke up the structs a bit.

	* gE_document.c: 
	* gE_plugin_api.h: 
	* gE_plugin_api.c:
	  Using those changes.
	
	* client.c:
	* client.h:
	  New files defining the new plugin client API.

	* diff.c (main): (call_diff): 
	* cvsdiff.c (main): Changes to use the new plugin client API.

1998-06-25  Chris Lahey  <clahey@umich.edu>

	* gE_plugin_api.c: 
	* gE_plugin_api.h: New files. The callback functions for the plugin api.
	
	* cvsdiff.c: New file.  The plugin to do a cvs diff.

	* gE_document.c: 
	* gedit.c:
	* main.h: 
	* plugin.h: 
	* plugin.c: 
	* diff.c: 
	* Makefile.am (gedit_SOURCES):
	More changes to support the plugin system.

1998-06-25  Chris Lahey  <clahey@umich.edu>

	* plugin.h, plugin.c: Lot's of new API.

	* diff.c: New file.  A plugin to do diffs.

1998-06-21  Andy Kahn <kahn@zk3.dec.com>
 
       * fix new_pixmap() so that Gtk warning messages go away.
 
       * massive code cleanup:
              - remove all compiler warnings reported by using
                 '-Wall -ansi -pedantic' with gcc v2.8.0
               - simplified code logic in prog_init()
               - fix bug in gE_about_box() where variable 'button' was
                 being used before being initialized.  this caused
                SEGV depending on compiler and compiler options used.
                 basically, if you're lucky, you don't get the SEGV).
               - in gE_about_box(), drop unnecessary calls to
                 gtk_container_add().  were causing GTK warning messages
                 to be printed.
               - fix function prototype for file_close_cmd_callback()
 
       * add ifdef to remap "fatal" signals to their default behavior
         (which will likely cause a core dump).  this was done because
         if you don't compile GDK with debugging enabled (e.g., you didn't
         do "./configure --enable-debug=yes"), GDK automatically catches
         the "fatal" signals and effectively does nothing with them.  gee,
         that's not very helpful.  to get the signals back to their
         regular behavior, define "GDK_IS_BRAINDEAD" in gedit.c.  this is
         only present in main() when WITHOUT_GNOME is defined.
 
       * main.h: drop unused variable gEdit_ID.  move to gE_document.c
         (it's the only place where it's used).
 
       * pretty print main (for WITHOUT_GNOME), gE_about_box() (also
         for WITHOUT_GNOME)
 

1998-06-22  Chris Lahey  <clahey@umich.edu>

	* toolbar.c: Added internationalization code (N_ repeatedly) for
	the gnome version of the toolbars.

	* commands.c, main.h:
	Made changes to follow api changes to functions
	gtk_editable_{cut,copy,paste}_clipboard.

1998-06-21  Evan Lawrence <evan@worldpath.net>

	Heh, I have *not* been adding changelog entries like a good boy,
	so here's a summary of what I've done recently..

	* Commited patch from Andy Kahn that added toolbars, after modifying
	  the buttons on the toolbar.

	* Gnomified the toolbar code, so that it uses the gnome stock pixmaps,
	  and uses some other gnome functions to make it look gnome-like..

	* Rearanged the file menu, cause it didn't look good the way it was.

	* Added search-for-line capabilities to the search feature, and tied
	  the "Line" button on the statusbar to popup the search dialog with
	  search for line selected.

1998-06-20  Alex Roberts <bse@dial.pipex.com>

	* Added 'Toolbar' to prefs file, if you select 'Turn Off Toolbar'
	  it stys turned off even when you re-start gEdit ('Turn on toolbar'
	  will keep it turned on)...

1998-06-19  Chris Lahey  <clahey@umich.edu>

	* gE_document.c (gE_window_new): Changed some code in the
	WITHOUT_GNOME section to support the new accelerator system for
	those with cvs gtk and without gnome.

	* gE_document.c (gE_window_new): 
	* plugin.h: 
	* plugin.c (plugin_new): Changed plugin_init to plugin_new.  It
	explains the function much better.

	* hello.c (main): Fixed some segfaults.


1998-06-18  Chris Lahey  <clahey@umich.edu>

	* menus.c (get_main_menu):
	* main.h: 
	* menus.h: Changes to support both the old and new accelerator
	systems.  Not tested for 1.0 because I only have 1.1.

1998-06-17  Chris Lahey  <clahey@umich.edu>

	* hello.c (main): Added a check to see if it's being run as a
	plugin.  Also included the proper headers to get read of
	warnings.
	* main.h: Forgot to include plugin.h at the top of main.h.

1998-06-17  Chris Lahey  <clahey@umich.edu>

	* plugin.h: 
	* plugin.c: New files for plugins.
	* hello.c: The test plugin.  Needs manual compilation still.
	* gE_document.c, main.h: Changed to allow plugin test.  Changes
	are #defined out unless PLUGIN_TEST is defined non-zero.

	In general, this feature is not enabled by default.  This is the
	very first draft, just to make sure the inter process stuff is
	working.  To enable, compile hello.c and install it as
	/usr/local/bin/hello-plugin, uncomment the two new files in
	Makefile.am and define PLUGIN_TEST non-zero near the top of
	gE_document.c and main.h.

1998-06-10  Chris Lahey  <clahey@umich.edu>

	* menus.c (get_main_menu): 
	* menus.h: 
	* main.h: Switched to new accelerator system.

	* main.h: #included <stdio.h> to get declaration of size_t.

1998-05-28  Alex Roberts  <bse@dial.pipex.com>

	* Thanx to Eli Miller (spooge, his IRC nick) gEdit will now
	  re-size smaller than its startup size :)

1998-05-26  Evan Lawrence  <evan@worldpath.net>

	* Fixed >2 New file bug

	* Fixed the bug wherein gedit was forced to strip non-ascii 
	  letters to keep from crashing on openning binary files,
	  apparently because of a bug in the text widget, (or possibly
	  my code :) that has since been fixed..

	* Synced the Options menu between the GNOME and non-GNOME versions

1998-05-26  Alex Roberts  <bse@dial.pipex.com>

	* Released 0.4.0 (Non-GNOME)

	* Save/Restore settings! :)
	  Currently, it will keep the Tab Position, and if the Statusbar is
	  visible or not...

1998-05-15  Alex Roberts  <bse@dial.pipex.com>

	* Print partially implemented...

1998-05-13  Alex Roberts  <bse@dial.pipex.com>

	* Removed a piece of annoying debugging code...

	* Made the file selector keep position at a file...
	
	* Fixed some errors in man page...

1998-05-12  Alex Roberts  <bse@dial.pipex.com>

	* Updated the README/AUTHORS files to my new email address
	  (bse@dial.pipex.com)

	* Upped version number to 0.4, ready for next release

1998-05-10  Evan Lawrence  <evan@worldpath.net>

	* Fixed the bug with gEdit not asking if you want to save modified files when you quit...
	  It's a bit of a hack, but I didn't feel like rewriting a lot of the code from the close routine..

1998-05-09  Alex Roberts  <bse@dial.pipex.com>

	* Added GNOME version number to the title, it looks better with a version number i feel...
	
	* Fixed segfault on startup when using GTK+ 1.1. Hopefully, the bug has gone...

1998-05-03  Alex Roberts  <bse@dial.pipex.com>

	* Fixed the sigsegv when loading a file from the cmd line.
	   This does break the (already broken because of the .gnome/gtkrc) font settings

Sun May 03 03:17:13  Kjartan Maraas  <kmaraas@fib.hl.no>

	* .cvsignore: New file. Added some files to it as well.
	
1998-05-02  Alex Roberts  <bse@dial.pipex.com>

	* Improved the description of gEdit in the About Box...

	* Added keyboard shortcuts to the menus

	* Made autoindent turn on when gEdit starts...

	* Fixed the segfault on startup, it won't read it's RC file...

	* robo@earthling.net -> bse@dial.pipex.com     (robo doesn't work anymore)

1998-04-29  Evan Lawrence  <evan@worldpath.net>

	* Several changes in the past few days - you can toggle autoindent,
	  wordwrap, the document tabs, and the statusbar now.. Other misc stuff...

1998-04-20  Evan Lawrence  <evan@worldpath.net>

	* Made some more changes to the statusbar
	
Sun Apr 19 17:03:15 1998  Havoc Pennington  <hp@pobox.com>

	* Makefile.in, configure, aclocal.m4: Removed automatically
	generated files. Hope this is OK.

1998-04-19  Alex Roberts  <robo@earthling.net>

	* Changed application class to gEdit.gedit (from gedit.Gedit), to help with
	  window managers (e.g WindowMaker)

1998-04-19  Alex Roberts  <robo@earthling.net>

	* Fixed the configure.in script to include the GTK+ include directories,
	  (/usr/local/include/glib, etc), and YES we _are_ using gtk-config to
	  get the directories/libraries needed!

	* Agh! Nobody seems to be updating this! Ok, changes since last entry...

       -* Auto-Indent works, but no way to turn it off (evan@worldpath.net)
       -* Flickering of the Line/Column fixed (evan@worldpath.net)
       -* If file from command line doesn't exist, gEdit creates it (evan)

1998-04-16  Alex Roberts  <robo@earthling.net>

	* Implemented Line/Column display, buggy though, and the Line counter only counts up to the
          height of the text box, so, it doesn't really work(probably to do with the Text Widget,
	  that still needs some development)...

	* Changed gEdit's default Width so 80 characters can be viewed on one
	  line.

	* Applied patch from Nicholas Lamb for better Search and Replace.

	* Added gEdit.desktop for GNOME Panel, for a little GNOMEification of gEdit

1998-04-15  Alex Roberts  <robo@earthling.net>

	* Added keyboard shortcuts to the search and the 
	  search and replace commands...

	* Improved the About box: added homepage, and GTK Version
	  labels, and added gEdit icon...

1998-04-13  Alex Roberts  <robo@earthling.net>

	* Changed File Close shortcut to Alt-W...

	* Added support for multiple files from the command line
	  (Which also fixes the Sigsegv when closing files from the command
	   line)...

1998-04-06  Alex Roberts  <robo@earthling.net>

	* Added statusbar code

1998-04-04  Alex Roberts  <robo@earthling.net>

	* Released 0.3.2

	* Added GTK+ version checking to configure

	* Added 2 icons to distribution, one by me, and one by joatman
	  (joatman@base.org)

1998-04-01  Alex Roberts  <robo@earthling.net>

	* Added man page to distribution

1998-03-28  Alex Roberts  <robo@earthling.net>

	* Released 0.3.1

	* Words now wrap onto the next line (Thanks to
	  GTK+-0.99.9)...

	* Converted gEdit to GNU Autoconf and GNU Automake...

	* Hopefully fixed the clipboard bugs, replaced the
	  GDK_CURRENT_TIME with a size_t thingy...

	* Fixed (mostly) the command line bug, you couldn't
	  open a file using a command like 'gedit
	  /etc/resolv.conf' that's fixed...

1998-03-26  Alex Roberts  <robo@earthling.net>

	* A file opened from the commandline, the tab no longer shows the
	  './' before the filename...

1998-03-25  Alex Roberts  <robo@earthling.net>
	* Released 0.3

	* Fixed the command line opening bug, now it inserts a './' so when
	  it saves, all it erases from the tab is the './', instead of the
	  whole filename.

1998-03-24  Evan Lawrence  <evan@worldpath.net>

	* It no longer dies a horrible death when you try to save empty
	  files (thanks to Taneli) and behaves quite normally when you open
	  a binary file...

1998-03-23  Evan Lawrence  <evan@worldpath.net>

	* OK, I think I'm done with search and replace, it now
	  has the option to ask before replacing. Next up: fix the binary
	  file bug and apply the patch from Taneli...

1998-03-22  Evan Lawrence  <evan@worldpath.net>

	* Just about done with search and replace, just a few niceties to
	  add..

1998-03-15  Evan Lawrence  <evan@worldpath.net>

	* Close will now ask if you want to save
	  before closing a modified file...

1998-03-15  Alex Roberts  <robo@earthling.net>

	* Woohoo! preferences work!! Now it will read and write ~/.gedit!! :)
 	  You can change the font of the text box (still need to restart
	  gEdit tho,and when you put the text font dialog box up, it puts
	  it back to the default!)

1998-03-13  Evan Lawrence  <evan@worldpath.net>

	* Fixed the save bug... document->filename
	  was going out of scope...

1998-03-10  Evan Lawrence  <evan@worldpath.net>

	* Fixed those incredibly annoying close bugs

1998-03-07  Alex Roberts  <robo@earthling.net>

	* Command line options added

1998-03-05  Alex Roberts  <robo@earthling.net>

	* 0.2 -> 0.2.1

	* Fixed the Save on an Untitled file bug

	* I got Cut/Copy/Paste/Select All working

	* Started Log
	
